/*
 *  MICO --- an Open Source CORBA implementation
 *  Copyright (c) 1997-2006 by The Mico Team
 *
 *  This file was automatically generated. DO NOT EDIT!
 */

#include <CORBA.h>
#include <mico/throw.h>

#ifndef __DRMAA_H__
#define __DRMAA_H__






namespace tecgraf
{
namespace openbus
{
namespace DRMAA
{
namespace v1_7
{

class Session;
typedef Session *Session_ptr;
typedef Session_ptr SessionRef;
typedef ObjVar< Session > Session_var;
typedef ObjOut< Session > Session_out;

}
}
}
}






namespace tecgraf
{
namespace openbus
{
namespace DRMAA
{
namespace v1_7
{

typedef StringSequenceTmpl<CORBA::String_var> OrderedStringList;
typedef TSeqVar< StringSequenceTmpl<CORBA::String_var> > OrderedStringList_var;
typedef TSeqOut< StringSequenceTmpl<CORBA::String_var> > OrderedStringList_out;

extern CORBA::TypeCodeConst _tc_OrderedStringList;

typedef StringSequenceTmpl<CORBA::String_var> StringList;
typedef TSeqVar< StringSequenceTmpl<CORBA::String_var> > StringList_var;
typedef TSeqOut< StringSequenceTmpl<CORBA::String_var> > StringList_out;

extern CORBA::TypeCodeConst _tc_StringList;

typedef SequenceTmpl< BoundedStringSequenceTmpl<CORBA::String_var,2>,MICO_TID_DEF > Dictionary;
typedef TSeqVar< SequenceTmpl< BoundedStringSequenceTmpl<CORBA::String_var,2>,MICO_TID_DEF > > Dictionary_var;
typedef TSeqOut< SequenceTmpl< BoundedStringSequenceTmpl<CORBA::String_var,2>,MICO_TID_DEF > > Dictionary_out;

extern CORBA::TypeCodeConst _tc_Dictionary;

typedef CORBA::LongLong TimeAmount;
typedef TimeAmount& TimeAmount_out;
extern CORBA::TypeCodeConst _tc_TimeAmount;

enum JobControlAction {
  SUSPEND = 0,
  RESUME,
  HOLD,
  RELEASE,
  TERMINATE
};

typedef JobControlAction& JobControlAction_out;

extern CORBA::TypeCodeConst _tc_JobControlAction;

enum JobState {
  UNDETERMINED = 0,
  QUEUED_ACTIVE,
  SYSTEM_ON_HOLD,
  USER_ON_HOLD,
  USER_SYSTEM_ON_HOLD,
  RUNNING,
  SYSTEM_SUSPENDED,
  USER_SUSPENDED,
  USER_SYSTEM_SUSPENDED,
  DONE,
  FAILED
};

typedef JobState& JobState_out;

extern CORBA::TypeCodeConst _tc_JobState;

enum JobSubmissionState {
  HOLD_STATE = 0,
  ACTIVE_STATE
};

typedef JobSubmissionState& JobSubmissionState_out;

extern CORBA::TypeCodeConst _tc_JobSubmissionState;

struct FileTransferMode;
typedef TFixVar< FileTransferMode > FileTransferMode_var;
typedef FileTransferMode& FileTransferMode_out;


struct FileTransferMode {
  #ifdef HAVE_TYPEDEF_OVERLOAD
  typedef FileTransferMode_var _var_type;
  #endif
  #ifdef HAVE_EXPLICIT_STRUCT_OPS
  FileTransferMode();
  ~FileTransferMode();
  FileTransferMode( const FileTransferMode& s );
  FileTransferMode& operator=( const FileTransferMode& s );
  #endif //HAVE_EXPLICIT_STRUCT_OPS

  CORBA::Boolean transferInputStream;
  CORBA::Boolean transferOutputStream;
  CORBA::Boolean transferErrorStream;
};

extern CORBA::TypeCodeConst _tc_FileTransferMode;

struct Version;
typedef TFixVar< Version > Version_var;
typedef Version& Version_out;


struct Version {
  #ifdef HAVE_TYPEDEF_OVERLOAD
  typedef Version_var _var_type;
  #endif
  #ifdef HAVE_EXPLICIT_STRUCT_OPS
  Version();
  ~Version();
  Version( const Version& s );
  Version& operator=( const Version& s );
  #endif //HAVE_EXPLICIT_STRUCT_OPS

  CORBA::Long major;
  CORBA::Long minor;
};

extern CORBA::TypeCodeConst _tc_Version;

struct AlreadyActiveSessionException : public CORBA::UserException {
  #ifdef HAVE_EXPLICIT_STRUCT_OPS
  AlreadyActiveSessionException();
  ~AlreadyActiveSessionException();
  AlreadyActiveSessionException( const AlreadyActiveSessionException& s );
  AlreadyActiveSessionException& operator=( const AlreadyActiveSessionException& s );
  #endif //HAVE_EXPLICIT_STRUCT_OPS

  #ifndef HAVE_EXPLICIT_STRUCT_OPS
  AlreadyActiveSessionException();
  #endif //HAVE_EXPLICIT_STRUCT_OPS
  AlreadyActiveSessionException( const char* _m0 );

  #ifdef HAVE_STD_EH
  AlreadyActiveSessionException *operator->() { return this; }
  AlreadyActiveSessionException& operator*() { return *this; }
  operator AlreadyActiveSessionException*() { return this; }
  #endif // HAVE_STD_EH

  void _throwit() const;
  const char *_repoid() const;
  void _encode( CORBA::DataEncoder &en ) const;
  void _encode_any( CORBA::Any &a ) const;
  CORBA::Exception *_clone() const;
  static AlreadyActiveSessionException *_downcast( CORBA::Exception *ex );
  static const AlreadyActiveSessionException *_downcast( const CORBA::Exception *ex );
  CORBA::String_var message;
};

#ifdef HAVE_STD_EH
typedef AlreadyActiveSessionException AlreadyActiveSessionException_catch;
#else
typedef ExceptVar< AlreadyActiveSessionException > AlreadyActiveSessionException_var;
typedef TVarOut< AlreadyActiveSessionException > AlreadyActiveSessionException_out;
typedef AlreadyActiveSessionException_var AlreadyActiveSessionException_catch;
#endif // HAVE_STD_EH

extern CORBA::TypeCodeConst _tc_AlreadyActiveSessionException;

struct AuthorizationException : public CORBA::UserException {
  #ifdef HAVE_EXPLICIT_STRUCT_OPS
  AuthorizationException();
  ~AuthorizationException();
  AuthorizationException( const AuthorizationException& s );
  AuthorizationException& operator=( const AuthorizationException& s );
  #endif //HAVE_EXPLICIT_STRUCT_OPS

  #ifndef HAVE_EXPLICIT_STRUCT_OPS
  AuthorizationException();
  #endif //HAVE_EXPLICIT_STRUCT_OPS
  AuthorizationException( const char* _m0 );

  #ifdef HAVE_STD_EH
  AuthorizationException *operator->() { return this; }
  AuthorizationException& operator*() { return *this; }
  operator AuthorizationException*() { return this; }
  #endif // HAVE_STD_EH

  void _throwit() const;
  const char *_repoid() const;
  void _encode( CORBA::DataEncoder &en ) const;
  void _encode_any( CORBA::Any &a ) const;
  CORBA::Exception *_clone() const;
  static AuthorizationException *_downcast( CORBA::Exception *ex );
  static const AuthorizationException *_downcast( const CORBA::Exception *ex );
  CORBA::String_var message;
};

#ifdef HAVE_STD_EH
typedef AuthorizationException AuthorizationException_catch;
#else
typedef ExceptVar< AuthorizationException > AuthorizationException_var;
typedef TVarOut< AuthorizationException > AuthorizationException_out;
typedef AuthorizationException_var AuthorizationException_catch;
#endif // HAVE_STD_EH

extern CORBA::TypeCodeConst _tc_AuthorizationException;

struct ConflictingAttributeValuesException : public CORBA::UserException {
  #ifdef HAVE_EXPLICIT_STRUCT_OPS
  ConflictingAttributeValuesException();
  ~ConflictingAttributeValuesException();
  ConflictingAttributeValuesException( const ConflictingAttributeValuesException& s );
  ConflictingAttributeValuesException& operator=( const ConflictingAttributeValuesException& s );
  #endif //HAVE_EXPLICIT_STRUCT_OPS

  #ifndef HAVE_EXPLICIT_STRUCT_OPS
  ConflictingAttributeValuesException();
  #endif //HAVE_EXPLICIT_STRUCT_OPS
  ConflictingAttributeValuesException( const char* _m0 );

  #ifdef HAVE_STD_EH
  ConflictingAttributeValuesException *operator->() { return this; }
  ConflictingAttributeValuesException& operator*() { return *this; }
  operator ConflictingAttributeValuesException*() { return this; }
  #endif // HAVE_STD_EH

  void _throwit() const;
  const char *_repoid() const;
  void _encode( CORBA::DataEncoder &en ) const;
  void _encode_any( CORBA::Any &a ) const;
  CORBA::Exception *_clone() const;
  static ConflictingAttributeValuesException *_downcast( CORBA::Exception *ex );
  static const ConflictingAttributeValuesException *_downcast( const CORBA::Exception *ex );
  CORBA::String_var message;
};

#ifdef HAVE_STD_EH
typedef ConflictingAttributeValuesException ConflictingAttributeValuesException_catch;
#else
typedef ExceptVar< ConflictingAttributeValuesException > ConflictingAttributeValuesException_var;
typedef TVarOut< ConflictingAttributeValuesException > ConflictingAttributeValuesException_out;
typedef ConflictingAttributeValuesException_var ConflictingAttributeValuesException_catch;
#endif // HAVE_STD_EH

extern CORBA::TypeCodeConst _tc_ConflictingAttributeValuesException;

struct DefaultContactStringException : public CORBA::UserException {
  #ifdef HAVE_EXPLICIT_STRUCT_OPS
  DefaultContactStringException();
  ~DefaultContactStringException();
  DefaultContactStringException( const DefaultContactStringException& s );
  DefaultContactStringException& operator=( const DefaultContactStringException& s );
  #endif //HAVE_EXPLICIT_STRUCT_OPS

  #ifndef HAVE_EXPLICIT_STRUCT_OPS
  DefaultContactStringException();
  #endif //HAVE_EXPLICIT_STRUCT_OPS
  DefaultContactStringException( const char* _m0 );

  #ifdef HAVE_STD_EH
  DefaultContactStringException *operator->() { return this; }
  DefaultContactStringException& operator*() { return *this; }
  operator DefaultContactStringException*() { return this; }
  #endif // HAVE_STD_EH

  void _throwit() const;
  const char *_repoid() const;
  void _encode( CORBA::DataEncoder &en ) const;
  void _encode_any( CORBA::Any &a ) const;
  CORBA::Exception *_clone() const;
  static DefaultContactStringException *_downcast( CORBA::Exception *ex );
  static const DefaultContactStringException *_downcast( const CORBA::Exception *ex );
  CORBA::String_var message;
};

#ifdef HAVE_STD_EH
typedef DefaultContactStringException DefaultContactStringException_catch;
#else
typedef ExceptVar< DefaultContactStringException > DefaultContactStringException_var;
typedef TVarOut< DefaultContactStringException > DefaultContactStringException_out;
typedef DefaultContactStringException_var DefaultContactStringException_catch;
#endif // HAVE_STD_EH

extern CORBA::TypeCodeConst _tc_DefaultContactStringException;

struct DeniedByDrmException : public CORBA::UserException {
  #ifdef HAVE_EXPLICIT_STRUCT_OPS
  DeniedByDrmException();
  ~DeniedByDrmException();
  DeniedByDrmException( const DeniedByDrmException& s );
  DeniedByDrmException& operator=( const DeniedByDrmException& s );
  #endif //HAVE_EXPLICIT_STRUCT_OPS

  #ifndef HAVE_EXPLICIT_STRUCT_OPS
  DeniedByDrmException();
  #endif //HAVE_EXPLICIT_STRUCT_OPS
  DeniedByDrmException( const char* _m0 );

  #ifdef HAVE_STD_EH
  DeniedByDrmException *operator->() { return this; }
  DeniedByDrmException& operator*() { return *this; }
  operator DeniedByDrmException*() { return this; }
  #endif // HAVE_STD_EH

  void _throwit() const;
  const char *_repoid() const;
  void _encode( CORBA::DataEncoder &en ) const;
  void _encode_any( CORBA::Any &a ) const;
  CORBA::Exception *_clone() const;
  static DeniedByDrmException *_downcast( CORBA::Exception *ex );
  static const DeniedByDrmException *_downcast( const CORBA::Exception *ex );
  CORBA::String_var message;
};

#ifdef HAVE_STD_EH
typedef DeniedByDrmException DeniedByDrmException_catch;
#else
typedef ExceptVar< DeniedByDrmException > DeniedByDrmException_var;
typedef TVarOut< DeniedByDrmException > DeniedByDrmException_out;
typedef DeniedByDrmException_var DeniedByDrmException_catch;
#endif // HAVE_STD_EH

extern CORBA::TypeCodeConst _tc_DeniedByDrmException;

struct DrmCommunicationException : public CORBA::UserException {
  #ifdef HAVE_EXPLICIT_STRUCT_OPS
  DrmCommunicationException();
  ~DrmCommunicationException();
  DrmCommunicationException( const DrmCommunicationException& s );
  DrmCommunicationException& operator=( const DrmCommunicationException& s );
  #endif //HAVE_EXPLICIT_STRUCT_OPS

  #ifndef HAVE_EXPLICIT_STRUCT_OPS
  DrmCommunicationException();
  #endif //HAVE_EXPLICIT_STRUCT_OPS
  DrmCommunicationException( const char* _m0 );

  #ifdef HAVE_STD_EH
  DrmCommunicationException *operator->() { return this; }
  DrmCommunicationException& operator*() { return *this; }
  operator DrmCommunicationException*() { return this; }
  #endif // HAVE_STD_EH

  void _throwit() const;
  const char *_repoid() const;
  void _encode( CORBA::DataEncoder &en ) const;
  void _encode_any( CORBA::Any &a ) const;
  CORBA::Exception *_clone() const;
  static DrmCommunicationException *_downcast( CORBA::Exception *ex );
  static const DrmCommunicationException *_downcast( const CORBA::Exception *ex );
  CORBA::String_var message;
};

#ifdef HAVE_STD_EH
typedef DrmCommunicationException DrmCommunicationException_catch;
#else
typedef ExceptVar< DrmCommunicationException > DrmCommunicationException_var;
typedef TVarOut< DrmCommunicationException > DrmCommunicationException_out;
typedef DrmCommunicationException_var DrmCommunicationException_catch;
#endif // HAVE_STD_EH

extern CORBA::TypeCodeConst _tc_DrmCommunicationException;

struct DrmsExitException : public CORBA::UserException {
  #ifdef HAVE_EXPLICIT_STRUCT_OPS
  DrmsExitException();
  ~DrmsExitException();
  DrmsExitException( const DrmsExitException& s );
  DrmsExitException& operator=( const DrmsExitException& s );
  #endif //HAVE_EXPLICIT_STRUCT_OPS

  #ifndef HAVE_EXPLICIT_STRUCT_OPS
  DrmsExitException();
  #endif //HAVE_EXPLICIT_STRUCT_OPS
  DrmsExitException( const char* _m0 );

  #ifdef HAVE_STD_EH
  DrmsExitException *operator->() { return this; }
  DrmsExitException& operator*() { return *this; }
  operator DrmsExitException*() { return this; }
  #endif // HAVE_STD_EH

  void _throwit() const;
  const char *_repoid() const;
  void _encode( CORBA::DataEncoder &en ) const;
  void _encode_any( CORBA::Any &a ) const;
  CORBA::Exception *_clone() const;
  static DrmsExitException *_downcast( CORBA::Exception *ex );
  static const DrmsExitException *_downcast( const CORBA::Exception *ex );
  CORBA::String_var message;
};

#ifdef HAVE_STD_EH
typedef DrmsExitException DrmsExitException_catch;
#else
typedef ExceptVar< DrmsExitException > DrmsExitException_var;
typedef TVarOut< DrmsExitException > DrmsExitException_out;
typedef DrmsExitException_var DrmsExitException_catch;
#endif // HAVE_STD_EH

extern CORBA::TypeCodeConst _tc_DrmsExitException;

struct DrmsInitException : public CORBA::UserException {
  #ifdef HAVE_EXPLICIT_STRUCT_OPS
  DrmsInitException();
  ~DrmsInitException();
  DrmsInitException( const DrmsInitException& s );
  DrmsInitException& operator=( const DrmsInitException& s );
  #endif //HAVE_EXPLICIT_STRUCT_OPS

  #ifndef HAVE_EXPLICIT_STRUCT_OPS
  DrmsInitException();
  #endif //HAVE_EXPLICIT_STRUCT_OPS
  DrmsInitException( const char* _m0 );

  #ifdef HAVE_STD_EH
  DrmsInitException *operator->() { return this; }
  DrmsInitException& operator*() { return *this; }
  operator DrmsInitException*() { return this; }
  #endif // HAVE_STD_EH

  void _throwit() const;
  const char *_repoid() const;
  void _encode( CORBA::DataEncoder &en ) const;
  void _encode_any( CORBA::Any &a ) const;
  CORBA::Exception *_clone() const;
  static DrmsInitException *_downcast( CORBA::Exception *ex );
  static const DrmsInitException *_downcast( const CORBA::Exception *ex );
  CORBA::String_var message;
};

#ifdef HAVE_STD_EH
typedef DrmsInitException DrmsInitException_catch;
#else
typedef ExceptVar< DrmsInitException > DrmsInitException_var;
typedef TVarOut< DrmsInitException > DrmsInitException_out;
typedef DrmsInitException_var DrmsInitException_catch;
#endif // HAVE_STD_EH

extern CORBA::TypeCodeConst _tc_DrmsInitException;

struct ExitTimeoutException : public CORBA::UserException {
  #ifdef HAVE_EXPLICIT_STRUCT_OPS
  ExitTimeoutException();
  ~ExitTimeoutException();
  ExitTimeoutException( const ExitTimeoutException& s );
  ExitTimeoutException& operator=( const ExitTimeoutException& s );
  #endif //HAVE_EXPLICIT_STRUCT_OPS

  #ifndef HAVE_EXPLICIT_STRUCT_OPS
  ExitTimeoutException();
  #endif //HAVE_EXPLICIT_STRUCT_OPS
  ExitTimeoutException( const char* _m0 );

  #ifdef HAVE_STD_EH
  ExitTimeoutException *operator->() { return this; }
  ExitTimeoutException& operator*() { return *this; }
  operator ExitTimeoutException*() { return this; }
  #endif // HAVE_STD_EH

  void _throwit() const;
  const char *_repoid() const;
  void _encode( CORBA::DataEncoder &en ) const;
  void _encode_any( CORBA::Any &a ) const;
  CORBA::Exception *_clone() const;
  static ExitTimeoutException *_downcast( CORBA::Exception *ex );
  static const ExitTimeoutException *_downcast( const CORBA::Exception *ex );
  CORBA::String_var message;
};

#ifdef HAVE_STD_EH
typedef ExitTimeoutException ExitTimeoutException_catch;
#else
typedef ExceptVar< ExitTimeoutException > ExitTimeoutException_var;
typedef TVarOut< ExitTimeoutException > ExitTimeoutException_out;
typedef ExitTimeoutException_var ExitTimeoutException_catch;
#endif // HAVE_STD_EH

extern CORBA::TypeCodeConst _tc_ExitTimeoutException;

struct HoldInconsistentStateException : public CORBA::UserException {
  #ifdef HAVE_EXPLICIT_STRUCT_OPS
  HoldInconsistentStateException();
  ~HoldInconsistentStateException();
  HoldInconsistentStateException( const HoldInconsistentStateException& s );
  HoldInconsistentStateException& operator=( const HoldInconsistentStateException& s );
  #endif //HAVE_EXPLICIT_STRUCT_OPS

  #ifndef HAVE_EXPLICIT_STRUCT_OPS
  HoldInconsistentStateException();
  #endif //HAVE_EXPLICIT_STRUCT_OPS
  HoldInconsistentStateException( const char* _m0 );

  #ifdef HAVE_STD_EH
  HoldInconsistentStateException *operator->() { return this; }
  HoldInconsistentStateException& operator*() { return *this; }
  operator HoldInconsistentStateException*() { return this; }
  #endif // HAVE_STD_EH

  void _throwit() const;
  const char *_repoid() const;
  void _encode( CORBA::DataEncoder &en ) const;
  void _encode_any( CORBA::Any &a ) const;
  CORBA::Exception *_clone() const;
  static HoldInconsistentStateException *_downcast( CORBA::Exception *ex );
  static const HoldInconsistentStateException *_downcast( const CORBA::Exception *ex );
  CORBA::String_var message;
};

#ifdef HAVE_STD_EH
typedef HoldInconsistentStateException HoldInconsistentStateException_catch;
#else
typedef ExceptVar< HoldInconsistentStateException > HoldInconsistentStateException_var;
typedef TVarOut< HoldInconsistentStateException > HoldInconsistentStateException_out;
typedef HoldInconsistentStateException_var HoldInconsistentStateException_catch;
#endif // HAVE_STD_EH

extern CORBA::TypeCodeConst _tc_HoldInconsistentStateException;

struct IllegalStateException : public CORBA::UserException {
  #ifdef HAVE_EXPLICIT_STRUCT_OPS
  IllegalStateException();
  ~IllegalStateException();
  IllegalStateException( const IllegalStateException& s );
  IllegalStateException& operator=( const IllegalStateException& s );
  #endif //HAVE_EXPLICIT_STRUCT_OPS

  #ifndef HAVE_EXPLICIT_STRUCT_OPS
  IllegalStateException();
  #endif //HAVE_EXPLICIT_STRUCT_OPS
  IllegalStateException( const char* _m0 );

  #ifdef HAVE_STD_EH
  IllegalStateException *operator->() { return this; }
  IllegalStateException& operator*() { return *this; }
  operator IllegalStateException*() { return this; }
  #endif // HAVE_STD_EH

  void _throwit() const;
  const char *_repoid() const;
  void _encode( CORBA::DataEncoder &en ) const;
  void _encode_any( CORBA::Any &a ) const;
  CORBA::Exception *_clone() const;
  static IllegalStateException *_downcast( CORBA::Exception *ex );
  static const IllegalStateException *_downcast( const CORBA::Exception *ex );
  CORBA::String_var message;
};

#ifdef HAVE_STD_EH
typedef IllegalStateException IllegalStateException_catch;
#else
typedef ExceptVar< IllegalStateException > IllegalStateException_var;
typedef TVarOut< IllegalStateException > IllegalStateException_out;
typedef IllegalStateException_var IllegalStateException_catch;
#endif // HAVE_STD_EH

extern CORBA::TypeCodeConst _tc_IllegalStateException;

struct InternalException : public CORBA::UserException {
  #ifdef HAVE_EXPLICIT_STRUCT_OPS
  InternalException();
  ~InternalException();
  InternalException( const InternalException& s );
  InternalException& operator=( const InternalException& s );
  #endif //HAVE_EXPLICIT_STRUCT_OPS

  #ifndef HAVE_EXPLICIT_STRUCT_OPS
  InternalException();
  #endif //HAVE_EXPLICIT_STRUCT_OPS
  InternalException( const char* _m0 );

  #ifdef HAVE_STD_EH
  InternalException *operator->() { return this; }
  InternalException& operator*() { return *this; }
  operator InternalException*() { return this; }
  #endif // HAVE_STD_EH

  void _throwit() const;
  const char *_repoid() const;
  void _encode( CORBA::DataEncoder &en ) const;
  void _encode_any( CORBA::Any &a ) const;
  CORBA::Exception *_clone() const;
  static InternalException *_downcast( CORBA::Exception *ex );
  static const InternalException *_downcast( const CORBA::Exception *ex );
  CORBA::String_var message;
};

#ifdef HAVE_STD_EH
typedef InternalException InternalException_catch;
#else
typedef ExceptVar< InternalException > InternalException_var;
typedef TVarOut< InternalException > InternalException_out;
typedef InternalException_var InternalException_catch;
#endif // HAVE_STD_EH

extern CORBA::TypeCodeConst _tc_InternalException;

struct InvalidArgumentException : public CORBA::UserException {
  #ifdef HAVE_EXPLICIT_STRUCT_OPS
  InvalidArgumentException();
  ~InvalidArgumentException();
  InvalidArgumentException( const InvalidArgumentException& s );
  InvalidArgumentException& operator=( const InvalidArgumentException& s );
  #endif //HAVE_EXPLICIT_STRUCT_OPS

  #ifndef HAVE_EXPLICIT_STRUCT_OPS
  InvalidArgumentException();
  #endif //HAVE_EXPLICIT_STRUCT_OPS
  InvalidArgumentException( const char* _m0 );

  #ifdef HAVE_STD_EH
  InvalidArgumentException *operator->() { return this; }
  InvalidArgumentException& operator*() { return *this; }
  operator InvalidArgumentException*() { return this; }
  #endif // HAVE_STD_EH

  void _throwit() const;
  const char *_repoid() const;
  void _encode( CORBA::DataEncoder &en ) const;
  void _encode_any( CORBA::Any &a ) const;
  CORBA::Exception *_clone() const;
  static InvalidArgumentException *_downcast( CORBA::Exception *ex );
  static const InvalidArgumentException *_downcast( const CORBA::Exception *ex );
  CORBA::String_var message;
};

#ifdef HAVE_STD_EH
typedef InvalidArgumentException InvalidArgumentException_catch;
#else
typedef ExceptVar< InvalidArgumentException > InvalidArgumentException_var;
typedef TVarOut< InvalidArgumentException > InvalidArgumentException_out;
typedef InvalidArgumentException_var InvalidArgumentException_catch;
#endif // HAVE_STD_EH

extern CORBA::TypeCodeConst _tc_InvalidArgumentException;

struct InvalidAttributeFormatException : public CORBA::UserException {
  #ifdef HAVE_EXPLICIT_STRUCT_OPS
  InvalidAttributeFormatException();
  ~InvalidAttributeFormatException();
  InvalidAttributeFormatException( const InvalidAttributeFormatException& s );
  InvalidAttributeFormatException& operator=( const InvalidAttributeFormatException& s );
  #endif //HAVE_EXPLICIT_STRUCT_OPS

  #ifndef HAVE_EXPLICIT_STRUCT_OPS
  InvalidAttributeFormatException();
  #endif //HAVE_EXPLICIT_STRUCT_OPS
  InvalidAttributeFormatException( const char* _m0 );

  #ifdef HAVE_STD_EH
  InvalidAttributeFormatException *operator->() { return this; }
  InvalidAttributeFormatException& operator*() { return *this; }
  operator InvalidAttributeFormatException*() { return this; }
  #endif // HAVE_STD_EH

  void _throwit() const;
  const char *_repoid() const;
  void _encode( CORBA::DataEncoder &en ) const;
  void _encode_any( CORBA::Any &a ) const;
  CORBA::Exception *_clone() const;
  static InvalidAttributeFormatException *_downcast( CORBA::Exception *ex );
  static const InvalidAttributeFormatException *_downcast( const CORBA::Exception *ex );
  CORBA::String_var message;
};

#ifdef HAVE_STD_EH
typedef InvalidAttributeFormatException InvalidAttributeFormatException_catch;
#else
typedef ExceptVar< InvalidAttributeFormatException > InvalidAttributeFormatException_var;
typedef TVarOut< InvalidAttributeFormatException > InvalidAttributeFormatException_out;
typedef InvalidAttributeFormatException_var InvalidAttributeFormatException_catch;
#endif // HAVE_STD_EH

extern CORBA::TypeCodeConst _tc_InvalidAttributeFormatException;

struct InvalidAttributeValueException : public CORBA::UserException {
  #ifdef HAVE_EXPLICIT_STRUCT_OPS
  InvalidAttributeValueException();
  ~InvalidAttributeValueException();
  InvalidAttributeValueException( const InvalidAttributeValueException& s );
  InvalidAttributeValueException& operator=( const InvalidAttributeValueException& s );
  #endif //HAVE_EXPLICIT_STRUCT_OPS

  #ifndef HAVE_EXPLICIT_STRUCT_OPS
  InvalidAttributeValueException();
  #endif //HAVE_EXPLICIT_STRUCT_OPS
  InvalidAttributeValueException( const char* _m0 );

  #ifdef HAVE_STD_EH
  InvalidAttributeValueException *operator->() { return this; }
  InvalidAttributeValueException& operator*() { return *this; }
  operator InvalidAttributeValueException*() { return this; }
  #endif // HAVE_STD_EH

  void _throwit() const;
  const char *_repoid() const;
  void _encode( CORBA::DataEncoder &en ) const;
  void _encode_any( CORBA::Any &a ) const;
  CORBA::Exception *_clone() const;
  static InvalidAttributeValueException *_downcast( CORBA::Exception *ex );
  static const InvalidAttributeValueException *_downcast( const CORBA::Exception *ex );
  CORBA::String_var message;
};

#ifdef HAVE_STD_EH
typedef InvalidAttributeValueException InvalidAttributeValueException_catch;
#else
typedef ExceptVar< InvalidAttributeValueException > InvalidAttributeValueException_var;
typedef TVarOut< InvalidAttributeValueException > InvalidAttributeValueException_out;
typedef InvalidAttributeValueException_var InvalidAttributeValueException_catch;
#endif // HAVE_STD_EH

extern CORBA::TypeCodeConst _tc_InvalidAttributeValueException;

struct InvalidContactStringException : public CORBA::UserException {
  #ifdef HAVE_EXPLICIT_STRUCT_OPS
  InvalidContactStringException();
  ~InvalidContactStringException();
  InvalidContactStringException( const InvalidContactStringException& s );
  InvalidContactStringException& operator=( const InvalidContactStringException& s );
  #endif //HAVE_EXPLICIT_STRUCT_OPS

  #ifndef HAVE_EXPLICIT_STRUCT_OPS
  InvalidContactStringException();
  #endif //HAVE_EXPLICIT_STRUCT_OPS
  InvalidContactStringException( const char* _m0 );

  #ifdef HAVE_STD_EH
  InvalidContactStringException *operator->() { return this; }
  InvalidContactStringException& operator*() { return *this; }
  operator InvalidContactStringException*() { return this; }
  #endif // HAVE_STD_EH

  void _throwit() const;
  const char *_repoid() const;
  void _encode( CORBA::DataEncoder &en ) const;
  void _encode_any( CORBA::Any &a ) const;
  CORBA::Exception *_clone() const;
  static InvalidContactStringException *_downcast( CORBA::Exception *ex );
  static const InvalidContactStringException *_downcast( const CORBA::Exception *ex );
  CORBA::String_var message;
};

#ifdef HAVE_STD_EH
typedef InvalidContactStringException InvalidContactStringException_catch;
#else
typedef ExceptVar< InvalidContactStringException > InvalidContactStringException_var;
typedef TVarOut< InvalidContactStringException > InvalidContactStringException_out;
typedef InvalidContactStringException_var InvalidContactStringException_catch;
#endif // HAVE_STD_EH

extern CORBA::TypeCodeConst _tc_InvalidContactStringException;

struct InvalidJobException : public CORBA::UserException {
  #ifdef HAVE_EXPLICIT_STRUCT_OPS
  InvalidJobException();
  ~InvalidJobException();
  InvalidJobException( const InvalidJobException& s );
  InvalidJobException& operator=( const InvalidJobException& s );
  #endif //HAVE_EXPLICIT_STRUCT_OPS

  #ifndef HAVE_EXPLICIT_STRUCT_OPS
  InvalidJobException();
  #endif //HAVE_EXPLICIT_STRUCT_OPS
  InvalidJobException( const char* _m0 );

  #ifdef HAVE_STD_EH
  InvalidJobException *operator->() { return this; }
  InvalidJobException& operator*() { return *this; }
  operator InvalidJobException*() { return this; }
  #endif // HAVE_STD_EH

  void _throwit() const;
  const char *_repoid() const;
  void _encode( CORBA::DataEncoder &en ) const;
  void _encode_any( CORBA::Any &a ) const;
  CORBA::Exception *_clone() const;
  static InvalidJobException *_downcast( CORBA::Exception *ex );
  static const InvalidJobException *_downcast( const CORBA::Exception *ex );
  CORBA::String_var message;
};

#ifdef HAVE_STD_EH
typedef InvalidJobException InvalidJobException_catch;
#else
typedef ExceptVar< InvalidJobException > InvalidJobException_var;
typedef TVarOut< InvalidJobException > InvalidJobException_out;
typedef InvalidJobException_var InvalidJobException_catch;
#endif // HAVE_STD_EH

extern CORBA::TypeCodeConst _tc_InvalidJobException;

struct InvalidJobTemplateException : public CORBA::UserException {
  #ifdef HAVE_EXPLICIT_STRUCT_OPS
  InvalidJobTemplateException();
  ~InvalidJobTemplateException();
  InvalidJobTemplateException( const InvalidJobTemplateException& s );
  InvalidJobTemplateException& operator=( const InvalidJobTemplateException& s );
  #endif //HAVE_EXPLICIT_STRUCT_OPS

  #ifndef HAVE_EXPLICIT_STRUCT_OPS
  InvalidJobTemplateException();
  #endif //HAVE_EXPLICIT_STRUCT_OPS
  InvalidJobTemplateException( const char* _m0 );

  #ifdef HAVE_STD_EH
  InvalidJobTemplateException *operator->() { return this; }
  InvalidJobTemplateException& operator*() { return *this; }
  operator InvalidJobTemplateException*() { return this; }
  #endif // HAVE_STD_EH

  void _throwit() const;
  const char *_repoid() const;
  void _encode( CORBA::DataEncoder &en ) const;
  void _encode_any( CORBA::Any &a ) const;
  CORBA::Exception *_clone() const;
  static InvalidJobTemplateException *_downcast( CORBA::Exception *ex );
  static const InvalidJobTemplateException *_downcast( const CORBA::Exception *ex );
  CORBA::String_var message;
};

#ifdef HAVE_STD_EH
typedef InvalidJobTemplateException InvalidJobTemplateException_catch;
#else
typedef ExceptVar< InvalidJobTemplateException > InvalidJobTemplateException_var;
typedef TVarOut< InvalidJobTemplateException > InvalidJobTemplateException_out;
typedef InvalidJobTemplateException_var InvalidJobTemplateException_catch;
#endif // HAVE_STD_EH

extern CORBA::TypeCodeConst _tc_InvalidJobTemplateException;

struct NoActiveSessionException : public CORBA::UserException {
  #ifdef HAVE_EXPLICIT_STRUCT_OPS
  NoActiveSessionException();
  ~NoActiveSessionException();
  NoActiveSessionException( const NoActiveSessionException& s );
  NoActiveSessionException& operator=( const NoActiveSessionException& s );
  #endif //HAVE_EXPLICIT_STRUCT_OPS

  #ifndef HAVE_EXPLICIT_STRUCT_OPS
  NoActiveSessionException();
  #endif //HAVE_EXPLICIT_STRUCT_OPS
  NoActiveSessionException( const char* _m0 );

  #ifdef HAVE_STD_EH
  NoActiveSessionException *operator->() { return this; }
  NoActiveSessionException& operator*() { return *this; }
  operator NoActiveSessionException*() { return this; }
  #endif // HAVE_STD_EH

  void _throwit() const;
  const char *_repoid() const;
  void _encode( CORBA::DataEncoder &en ) const;
  void _encode_any( CORBA::Any &a ) const;
  CORBA::Exception *_clone() const;
  static NoActiveSessionException *_downcast( CORBA::Exception *ex );
  static const NoActiveSessionException *_downcast( const CORBA::Exception *ex );
  CORBA::String_var message;
};

#ifdef HAVE_STD_EH
typedef NoActiveSessionException NoActiveSessionException_catch;
#else
typedef ExceptVar< NoActiveSessionException > NoActiveSessionException_var;
typedef TVarOut< NoActiveSessionException > NoActiveSessionException_out;
typedef NoActiveSessionException_var NoActiveSessionException_catch;
#endif // HAVE_STD_EH

extern CORBA::TypeCodeConst _tc_NoActiveSessionException;

struct NoDefaultContactStringSelectedException : public CORBA::UserException {
  #ifdef HAVE_EXPLICIT_STRUCT_OPS
  NoDefaultContactStringSelectedException();
  ~NoDefaultContactStringSelectedException();
  NoDefaultContactStringSelectedException( const NoDefaultContactStringSelectedException& s );
  NoDefaultContactStringSelectedException& operator=( const NoDefaultContactStringSelectedException& s );
  #endif //HAVE_EXPLICIT_STRUCT_OPS

  #ifndef HAVE_EXPLICIT_STRUCT_OPS
  NoDefaultContactStringSelectedException();
  #endif //HAVE_EXPLICIT_STRUCT_OPS
  NoDefaultContactStringSelectedException( const char* _m0 );

  #ifdef HAVE_STD_EH
  NoDefaultContactStringSelectedException *operator->() { return this; }
  NoDefaultContactStringSelectedException& operator*() { return *this; }
  operator NoDefaultContactStringSelectedException*() { return this; }
  #endif // HAVE_STD_EH

  void _throwit() const;
  const char *_repoid() const;
  void _encode( CORBA::DataEncoder &en ) const;
  void _encode_any( CORBA::Any &a ) const;
  CORBA::Exception *_clone() const;
  static NoDefaultContactStringSelectedException *_downcast( CORBA::Exception *ex );
  static const NoDefaultContactStringSelectedException *_downcast( const CORBA::Exception *ex );
  CORBA::String_var message;
};

#ifdef HAVE_STD_EH
typedef NoDefaultContactStringSelectedException NoDefaultContactStringSelectedException_catch;
#else
typedef ExceptVar< NoDefaultContactStringSelectedException > NoDefaultContactStringSelectedException_var;
typedef TVarOut< NoDefaultContactStringSelectedException > NoDefaultContactStringSelectedException_out;
typedef NoDefaultContactStringSelectedException_var NoDefaultContactStringSelectedException_catch;
#endif // HAVE_STD_EH

extern CORBA::TypeCodeConst _tc_NoDefaultContactStringSelectedException;

struct OutOfMemoryException : public CORBA::UserException {
  #ifdef HAVE_EXPLICIT_STRUCT_OPS
  OutOfMemoryException();
  ~OutOfMemoryException();
  OutOfMemoryException( const OutOfMemoryException& s );
  OutOfMemoryException& operator=( const OutOfMemoryException& s );
  #endif //HAVE_EXPLICIT_STRUCT_OPS

  #ifndef HAVE_EXPLICIT_STRUCT_OPS
  OutOfMemoryException();
  #endif //HAVE_EXPLICIT_STRUCT_OPS
  OutOfMemoryException( const char* _m0 );

  #ifdef HAVE_STD_EH
  OutOfMemoryException *operator->() { return this; }
  OutOfMemoryException& operator*() { return *this; }
  operator OutOfMemoryException*() { return this; }
  #endif // HAVE_STD_EH

  void _throwit() const;
  const char *_repoid() const;
  void _encode( CORBA::DataEncoder &en ) const;
  void _encode_any( CORBA::Any &a ) const;
  CORBA::Exception *_clone() const;
  static OutOfMemoryException *_downcast( CORBA::Exception *ex );
  static const OutOfMemoryException *_downcast( const CORBA::Exception *ex );
  CORBA::String_var message;
};

#ifdef HAVE_STD_EH
typedef OutOfMemoryException OutOfMemoryException_catch;
#else
typedef ExceptVar< OutOfMemoryException > OutOfMemoryException_var;
typedef TVarOut< OutOfMemoryException > OutOfMemoryException_out;
typedef OutOfMemoryException_var OutOfMemoryException_catch;
#endif // HAVE_STD_EH

extern CORBA::TypeCodeConst _tc_OutOfMemoryException;

struct ReleaseInconsistentStateException : public CORBA::UserException {
  #ifdef HAVE_EXPLICIT_STRUCT_OPS
  ReleaseInconsistentStateException();
  ~ReleaseInconsistentStateException();
  ReleaseInconsistentStateException( const ReleaseInconsistentStateException& s );
  ReleaseInconsistentStateException& operator=( const ReleaseInconsistentStateException& s );
  #endif //HAVE_EXPLICIT_STRUCT_OPS

  #ifndef HAVE_EXPLICIT_STRUCT_OPS
  ReleaseInconsistentStateException();
  #endif //HAVE_EXPLICIT_STRUCT_OPS
  ReleaseInconsistentStateException( const char* _m0 );

  #ifdef HAVE_STD_EH
  ReleaseInconsistentStateException *operator->() { return this; }
  ReleaseInconsistentStateException& operator*() { return *this; }
  operator ReleaseInconsistentStateException*() { return this; }
  #endif // HAVE_STD_EH

  void _throwit() const;
  const char *_repoid() const;
  void _encode( CORBA::DataEncoder &en ) const;
  void _encode_any( CORBA::Any &a ) const;
  CORBA::Exception *_clone() const;
  static ReleaseInconsistentStateException *_downcast( CORBA::Exception *ex );
  static const ReleaseInconsistentStateException *_downcast( const CORBA::Exception *ex );
  CORBA::String_var message;
};

#ifdef HAVE_STD_EH
typedef ReleaseInconsistentStateException ReleaseInconsistentStateException_catch;
#else
typedef ExceptVar< ReleaseInconsistentStateException > ReleaseInconsistentStateException_var;
typedef TVarOut< ReleaseInconsistentStateException > ReleaseInconsistentStateException_out;
typedef ReleaseInconsistentStateException_var ReleaseInconsistentStateException_catch;
#endif // HAVE_STD_EH

extern CORBA::TypeCodeConst _tc_ReleaseInconsistentStateException;

struct ResumeInconsistentStateException : public CORBA::UserException {
  #ifdef HAVE_EXPLICIT_STRUCT_OPS
  ResumeInconsistentStateException();
  ~ResumeInconsistentStateException();
  ResumeInconsistentStateException( const ResumeInconsistentStateException& s );
  ResumeInconsistentStateException& operator=( const ResumeInconsistentStateException& s );
  #endif //HAVE_EXPLICIT_STRUCT_OPS

  #ifndef HAVE_EXPLICIT_STRUCT_OPS
  ResumeInconsistentStateException();
  #endif //HAVE_EXPLICIT_STRUCT_OPS
  ResumeInconsistentStateException( const char* _m0 );

  #ifdef HAVE_STD_EH
  ResumeInconsistentStateException *operator->() { return this; }
  ResumeInconsistentStateException& operator*() { return *this; }
  operator ResumeInconsistentStateException*() { return this; }
  #endif // HAVE_STD_EH

  void _throwit() const;
  const char *_repoid() const;
  void _encode( CORBA::DataEncoder &en ) const;
  void _encode_any( CORBA::Any &a ) const;
  CORBA::Exception *_clone() const;
  static ResumeInconsistentStateException *_downcast( CORBA::Exception *ex );
  static const ResumeInconsistentStateException *_downcast( const CORBA::Exception *ex );
  CORBA::String_var message;
};

#ifdef HAVE_STD_EH
typedef ResumeInconsistentStateException ResumeInconsistentStateException_catch;
#else
typedef ExceptVar< ResumeInconsistentStateException > ResumeInconsistentStateException_var;
typedef TVarOut< ResumeInconsistentStateException > ResumeInconsistentStateException_out;
typedef ResumeInconsistentStateException_var ResumeInconsistentStateException_catch;
#endif // HAVE_STD_EH

extern CORBA::TypeCodeConst _tc_ResumeInconsistentStateException;

struct SuspendInconsistentStateException : public CORBA::UserException {
  #ifdef HAVE_EXPLICIT_STRUCT_OPS
  SuspendInconsistentStateException();
  ~SuspendInconsistentStateException();
  SuspendInconsistentStateException( const SuspendInconsistentStateException& s );
  SuspendInconsistentStateException& operator=( const SuspendInconsistentStateException& s );
  #endif //HAVE_EXPLICIT_STRUCT_OPS

  #ifndef HAVE_EXPLICIT_STRUCT_OPS
  SuspendInconsistentStateException();
  #endif //HAVE_EXPLICIT_STRUCT_OPS
  SuspendInconsistentStateException( const char* _m0 );

  #ifdef HAVE_STD_EH
  SuspendInconsistentStateException *operator->() { return this; }
  SuspendInconsistentStateException& operator*() { return *this; }
  operator SuspendInconsistentStateException*() { return this; }
  #endif // HAVE_STD_EH

  void _throwit() const;
  const char *_repoid() const;
  void _encode( CORBA::DataEncoder &en ) const;
  void _encode_any( CORBA::Any &a ) const;
  CORBA::Exception *_clone() const;
  static SuspendInconsistentStateException *_downcast( CORBA::Exception *ex );
  static const SuspendInconsistentStateException *_downcast( const CORBA::Exception *ex );
  CORBA::String_var message;
};

#ifdef HAVE_STD_EH
typedef SuspendInconsistentStateException SuspendInconsistentStateException_catch;
#else
typedef ExceptVar< SuspendInconsistentStateException > SuspendInconsistentStateException_var;
typedef TVarOut< SuspendInconsistentStateException > SuspendInconsistentStateException_out;
typedef SuspendInconsistentStateException_var SuspendInconsistentStateException_catch;
#endif // HAVE_STD_EH

extern CORBA::TypeCodeConst _tc_SuspendInconsistentStateException;

struct TryLaterException : public CORBA::UserException {
  #ifdef HAVE_EXPLICIT_STRUCT_OPS
  TryLaterException();
  ~TryLaterException();
  TryLaterException( const TryLaterException& s );
  TryLaterException& operator=( const TryLaterException& s );
  #endif //HAVE_EXPLICIT_STRUCT_OPS

  #ifndef HAVE_EXPLICIT_STRUCT_OPS
  TryLaterException();
  #endif //HAVE_EXPLICIT_STRUCT_OPS
  TryLaterException( const char* _m0 );

  #ifdef HAVE_STD_EH
  TryLaterException *operator->() { return this; }
  TryLaterException& operator*() { return *this; }
  operator TryLaterException*() { return this; }
  #endif // HAVE_STD_EH

  void _throwit() const;
  const char *_repoid() const;
  void _encode( CORBA::DataEncoder &en ) const;
  void _encode_any( CORBA::Any &a ) const;
  CORBA::Exception *_clone() const;
  static TryLaterException *_downcast( CORBA::Exception *ex );
  static const TryLaterException *_downcast( const CORBA::Exception *ex );
  CORBA::String_var message;
};

#ifdef HAVE_STD_EH
typedef TryLaterException TryLaterException_catch;
#else
typedef ExceptVar< TryLaterException > TryLaterException_var;
typedef TVarOut< TryLaterException > TryLaterException_out;
typedef TryLaterException_var TryLaterException_catch;
#endif // HAVE_STD_EH

extern CORBA::TypeCodeConst _tc_TryLaterException;

struct UnsupportedAttributeException : public CORBA::UserException {
  #ifdef HAVE_EXPLICIT_STRUCT_OPS
  UnsupportedAttributeException();
  ~UnsupportedAttributeException();
  UnsupportedAttributeException( const UnsupportedAttributeException& s );
  UnsupportedAttributeException& operator=( const UnsupportedAttributeException& s );
  #endif //HAVE_EXPLICIT_STRUCT_OPS

  #ifndef HAVE_EXPLICIT_STRUCT_OPS
  UnsupportedAttributeException();
  #endif //HAVE_EXPLICIT_STRUCT_OPS
  UnsupportedAttributeException( const char* _m0 );

  #ifdef HAVE_STD_EH
  UnsupportedAttributeException *operator->() { return this; }
  UnsupportedAttributeException& operator*() { return *this; }
  operator UnsupportedAttributeException*() { return this; }
  #endif // HAVE_STD_EH

  void _throwit() const;
  const char *_repoid() const;
  void _encode( CORBA::DataEncoder &en ) const;
  void _encode_any( CORBA::Any &a ) const;
  CORBA::Exception *_clone() const;
  static UnsupportedAttributeException *_downcast( CORBA::Exception *ex );
  static const UnsupportedAttributeException *_downcast( const CORBA::Exception *ex );
  CORBA::String_var message;
};

#ifdef HAVE_STD_EH
typedef UnsupportedAttributeException UnsupportedAttributeException_catch;
#else
typedef ExceptVar< UnsupportedAttributeException > UnsupportedAttributeException_var;
typedef TVarOut< UnsupportedAttributeException > UnsupportedAttributeException_out;
typedef UnsupportedAttributeException_var UnsupportedAttributeException_catch;
#endif // HAVE_STD_EH

extern CORBA::TypeCodeConst _tc_UnsupportedAttributeException;

class JobInfo;
typedef JobInfo *JobInfo_ptr;
typedef JobInfo_ptr JobInfoRef;
typedef ValueVar< JobInfo > JobInfo_var;
typedef ValueOut< JobInfo > JobInfo_out;


// Common definitions for valuetype JobInfo
class JobInfo : 
  virtual public CORBA::ValueBase
{
  public:
    static JobInfo* _downcast (CORBA::ValueBase *);
    static JobInfo* _downcast (CORBA::AbstractBase *);

    virtual void jobId( char *_p ) = 0;
    virtual void jobId( const char *_p ) = 0;
    virtual void jobId( const CORBA::String_var &_p ) = 0;
    virtual const char *jobId() const = 0;

    virtual void resourceUsage( const ::tecgraf::openbus::DRMAA::v1_7::Dictionary& _p ) = 0;
    virtual const ::tecgraf::openbus::DRMAA::v1_7::Dictionary& resourceUsage() const = 0;
    virtual ::tecgraf::openbus::DRMAA::v1_7::Dictionary& resourceUsage() = 0;

    virtual void hasExited( CORBA::Boolean _p ) = 0;
    virtual CORBA::Boolean hasExited() const = 0;

    virtual void exitStatus( CORBA::Long _p ) = 0;
    virtual CORBA::Long exitStatus() const = 0;

    virtual void hasSignaled( CORBA::Boolean _p ) = 0;
    virtual CORBA::Boolean hasSignaled() const = 0;

    virtual void terminatingSignal( char *_p ) = 0;
    virtual void terminatingSignal( const char *_p ) = 0;
    virtual void terminatingSignal( const CORBA::String_var &_p ) = 0;
    virtual const char *terminatingSignal() const = 0;

    virtual void hasCoreDump( CORBA::Boolean _p ) = 0;
    virtual CORBA::Boolean hasCoreDump() const = 0;

    virtual void wasAborted( CORBA::Boolean _p ) = 0;
    virtual CORBA::Boolean wasAborted() const = 0;


  public:
    CORBA::ValueBase * _copy_value ();
    CORBA::ValueDef_ptr get_value_def ();
    virtual void * _narrow_helper (const char *);
    void _get_marshal_info (std::vector<std::string> &, CORBA::Boolean &);
    void _marshal_members (CORBA::DataEncoder &);
    CORBA::Boolean _demarshal_members (CORBA::DataDecoder &);

  protected:
    JobInfo ();
    virtual ~JobInfo ();
    void _copy_members (const JobInfo&);

  private:
    JobInfo (const JobInfo &);
    void operator= (const JobInfo &);
};

extern CORBA::TypeCodeConst _tc_JobInfo;

class JobTemplate;
typedef JobTemplate *JobTemplate_ptr;
typedef JobTemplate_ptr JobTemplateRef;
typedef ValueVar< JobTemplate > JobTemplate_var;
typedef ValueOut< JobTemplate > JobTemplate_out;


// Common definitions for valuetype JobTemplate
class JobTemplate : 
  virtual public CORBA::ValueBase
{
  public:
    static JobTemplate* _downcast (CORBA::ValueBase *);
    static JobTemplate* _downcast (CORBA::AbstractBase *);

    static const char* const HOME_DIRECTORY;
    static const char* const WORKING_DIRECTORY;
    static const char* const PARAMETRIC_INDEX;
    virtual ::tecgraf::openbus::DRMAA::v1_7::StringList* attributeNames() = 0;

    virtual void remoteCommand( char *_p ) = 0;
    virtual void remoteCommand( const char *_p ) = 0;
    virtual void remoteCommand( const CORBA::String_var &_p ) = 0;
    virtual const char *remoteCommand() const = 0;

    virtual void args( const ::tecgraf::openbus::DRMAA::v1_7::OrderedStringList& _p ) = 0;
    virtual const ::tecgraf::openbus::DRMAA::v1_7::OrderedStringList& args() const = 0;
    virtual ::tecgraf::openbus::DRMAA::v1_7::OrderedStringList& args() = 0;

    virtual void jobSubmissionState( ::tecgraf::openbus::DRMAA::v1_7::JobSubmissionState _p ) = 0;
    virtual const ::tecgraf::openbus::DRMAA::v1_7::JobSubmissionState& jobSubmissionState() const = 0;
    virtual ::tecgraf::openbus::DRMAA::v1_7::JobSubmissionState& jobSubmissionState() = 0;

    virtual void jobEnvironment( const ::tecgraf::openbus::DRMAA::v1_7::Dictionary& _p ) = 0;
    virtual const ::tecgraf::openbus::DRMAA::v1_7::Dictionary& jobEnvironment() const = 0;
    virtual ::tecgraf::openbus::DRMAA::v1_7::Dictionary& jobEnvironment() = 0;

    virtual void workingDirectory( char *_p ) = 0;
    virtual void workingDirectory( const char *_p ) = 0;
    virtual void workingDirectory( const CORBA::String_var &_p ) = 0;
    virtual const char *workingDirectory() const = 0;

    virtual void jobCategory( char *_p ) = 0;
    virtual void jobCategory( const char *_p ) = 0;
    virtual void jobCategory( const CORBA::String_var &_p ) = 0;
    virtual const char *jobCategory() const = 0;

    virtual void nativeSpecification( char *_p ) = 0;
    virtual void nativeSpecification( const char *_p ) = 0;
    virtual void nativeSpecification( const CORBA::String_var &_p ) = 0;
    virtual const char *nativeSpecification() const = 0;

    virtual void email( const ::tecgraf::openbus::DRMAA::v1_7::StringList& _p ) = 0;
    virtual const ::tecgraf::openbus::DRMAA::v1_7::StringList& email() const = 0;
    virtual ::tecgraf::openbus::DRMAA::v1_7::StringList& email() = 0;

    virtual void blockEmail( CORBA::Boolean _p ) = 0;
    virtual CORBA::Boolean blockEmail() const = 0;

    virtual void jobName( char *_p ) = 0;
    virtual void jobName( const char *_p ) = 0;
    virtual void jobName( const CORBA::String_var &_p ) = 0;
    virtual const char *jobName() const = 0;

    virtual void inputPath( char *_p ) = 0;
    virtual void inputPath( const char *_p ) = 0;
    virtual void inputPath( const CORBA::String_var &_p ) = 0;
    virtual const char *inputPath() const = 0;

    virtual void outputPath( char *_p ) = 0;
    virtual void outputPath( const char *_p ) = 0;
    virtual void outputPath( const CORBA::String_var &_p ) = 0;
    virtual const char *outputPath() const = 0;

    virtual void errorPath( char *_p ) = 0;
    virtual void errorPath( const char *_p ) = 0;
    virtual void errorPath( const CORBA::String_var &_p ) = 0;
    virtual const char *errorPath() const = 0;

    virtual void joinFiles( CORBA::Boolean _p ) = 0;
    virtual CORBA::Boolean joinFiles() const = 0;

    virtual void transferFiles( const ::tecgraf::openbus::DRMAA::v1_7::FileTransferMode& _p ) = 0;
    virtual const ::tecgraf::openbus::DRMAA::v1_7::FileTransferMode& transferFiles() const = 0;
    virtual ::tecgraf::openbus::DRMAA::v1_7::FileTransferMode& transferFiles() = 0;

    virtual void hardWallClockTimeLimit( ::tecgraf::openbus::DRMAA::v1_7::TimeAmount _p ) = 0;
    virtual ::tecgraf::openbus::DRMAA::v1_7::TimeAmount hardWallClockTimeLimit() const = 0;

    virtual void softWallClockTimeLimit( ::tecgraf::openbus::DRMAA::v1_7::TimeAmount _p ) = 0;
    virtual ::tecgraf::openbus::DRMAA::v1_7::TimeAmount softWallClockTimeLimit() const = 0;

    virtual void hardRunDurationLimit( ::tecgraf::openbus::DRMAA::v1_7::TimeAmount _p ) = 0;
    virtual ::tecgraf::openbus::DRMAA::v1_7::TimeAmount hardRunDurationLimit() const = 0;

    virtual void softRunDurationLimit( ::tecgraf::openbus::DRMAA::v1_7::TimeAmount _p ) = 0;
    virtual ::tecgraf::openbus::DRMAA::v1_7::TimeAmount softRunDurationLimit() const = 0;


  public:
    CORBA::ValueBase * _copy_value ();
    CORBA::ValueDef_ptr get_value_def ();
    virtual void * _narrow_helper (const char *);
    void _get_marshal_info (std::vector<std::string> &, CORBA::Boolean &);
    void _marshal_members (CORBA::DataEncoder &);
    CORBA::Boolean _demarshal_members (CORBA::DataDecoder &);

  protected:
    JobTemplate ();
    virtual ~JobTemplate ();
    void _copy_members (const JobTemplate&);

  private:
    JobTemplate (const JobTemplate &);
    void operator= (const JobTemplate &);
};

extern CORBA::TypeCodeConst _tc_JobTemplate;


/*
 * Base class and common definitions for interface Session
 */

class Session : 
  virtual public CORBA::Object
{
  public:
    virtual ~Session();

    #ifdef HAVE_TYPEDEF_OVERLOAD
    typedef Session_ptr _ptr_type;
    typedef Session_var _var_type;
    #endif

    static Session_ptr _narrow( CORBA::Object_ptr obj );
    static Session_ptr _narrow( CORBA::AbstractBase_ptr obj );
    static Session_ptr _duplicate( Session_ptr _obj )
    {
      CORBA::Object::_duplicate (_obj);
      return _obj;
    }

    static Session_ptr _nil()
    {
      return 0;
    }

    virtual void *_narrow_helper( const char *repoid );

    static const CORBA::LongLong TIMEOUT_WAIT_FOREVER;
    static const CORBA::LongLong TIMEOUT_NO_WAIT;
    static const char* const JOB_IDS_SESSION_ANY;
    static const char* const JOB_IDS_SESSION_ALL;
    virtual char* contact() = 0;
    virtual ::tecgraf::openbus::DRMAA::v1_7::Version version() = 0;
    virtual char* drmsInfo() = 0;
    virtual char* drmaaImplementation() = 0;

    virtual void init( const char* contactString ) = 0;
    virtual void exit() = 0;
    virtual ::tecgraf::openbus::DRMAA::v1_7::JobTemplate* createJobTemplate() = 0;
    virtual void deleteJobTemplate( ::tecgraf::openbus::DRMAA::v1_7::JobTemplate* jobTemplate_ ) = 0;
    virtual char* runJob( ::tecgraf::openbus::DRMAA::v1_7::JobTemplate* jobTemplate_ ) = 0;
    virtual ::tecgraf::openbus::DRMAA::v1_7::StringList* runBulkJobs( ::tecgraf::openbus::DRMAA::v1_7::JobTemplate* jobTemplate_, CORBA::Long beginIndex, CORBA::Long endIndex, CORBA::Long step ) = 0;
    virtual void control( const char* jobName, ::tecgraf::openbus::DRMAA::v1_7::JobControlAction operation ) = 0;
    virtual void synchronize( const ::tecgraf::openbus::DRMAA::v1_7::StringList& jobList, CORBA::LongLong timeout, CORBA::Boolean dispose ) = 0;
    virtual ::tecgraf::openbus::DRMAA::v1_7::JobInfo* wait( const char* jobName, CORBA::LongLong timeout ) = 0;
    virtual ::tecgraf::openbus::DRMAA::v1_7::JobState jobStatus( const char* jobName ) = 0;

  protected:
    Session() {};
  private:
    Session( const Session& );
    void operator=( const Session& );
};

extern CORBA::TypeCodeConst _tc_Session;

// Stub for interface Session
class Session_stub:
  virtual public Session
{
  public:
    virtual ~Session_stub();
    char* contact();
    ::tecgraf::openbus::DRMAA::v1_7::Version version();
    char* drmsInfo();
    char* drmaaImplementation();

    void init( const char* contactString );
    void exit();
    ::tecgraf::openbus::DRMAA::v1_7::JobTemplate* createJobTemplate();
    void deleteJobTemplate( ::tecgraf::openbus::DRMAA::v1_7::JobTemplate* jobTemplate_ );
    char* runJob( ::tecgraf::openbus::DRMAA::v1_7::JobTemplate* jobTemplate_ );
    ::tecgraf::openbus::DRMAA::v1_7::StringList* runBulkJobs( ::tecgraf::openbus::DRMAA::v1_7::JobTemplate* jobTemplate_, CORBA::Long beginIndex, CORBA::Long endIndex, CORBA::Long step );
    void control( const char* jobName, ::tecgraf::openbus::DRMAA::v1_7::JobControlAction operation );
    void synchronize( const ::tecgraf::openbus::DRMAA::v1_7::StringList& jobList, CORBA::LongLong timeout, CORBA::Boolean dispose );
    ::tecgraf::openbus::DRMAA::v1_7::JobInfo* wait( const char* jobName, CORBA::LongLong timeout );
    ::tecgraf::openbus::DRMAA::v1_7::JobState jobStatus( const char* jobName );

  private:
    void operator=( const Session_stub& );
};

#ifndef MICO_CONF_NO_POA

class Session_stub_clp :
  virtual public Session_stub,
  virtual public PortableServer::StubBase
{
  public:
    Session_stub_clp (PortableServer::POA_ptr, CORBA::Object_ptr);
    virtual ~Session_stub_clp ();
    char* contact();
    ::tecgraf::openbus::DRMAA::v1_7::Version version();
    char* drmsInfo();
    char* drmaaImplementation();

    void init( const char* contactString );
    void exit();
    ::tecgraf::openbus::DRMAA::v1_7::JobTemplate* createJobTemplate();
    void deleteJobTemplate( ::tecgraf::openbus::DRMAA::v1_7::JobTemplate* jobTemplate_ );
    char* runJob( ::tecgraf::openbus::DRMAA::v1_7::JobTemplate* jobTemplate_ );
    ::tecgraf::openbus::DRMAA::v1_7::StringList* runBulkJobs( ::tecgraf::openbus::DRMAA::v1_7::JobTemplate* jobTemplate_, CORBA::Long beginIndex, CORBA::Long endIndex, CORBA::Long step );
    void control( const char* jobName, ::tecgraf::openbus::DRMAA::v1_7::JobControlAction operation );
    void synchronize( const ::tecgraf::openbus::DRMAA::v1_7::StringList& jobList, CORBA::LongLong timeout, CORBA::Boolean dispose );
    ::tecgraf::openbus::DRMAA::v1_7::JobInfo* wait( const char* jobName, CORBA::LongLong timeout );
    ::tecgraf::openbus::DRMAA::v1_7::JobState jobStatus( const char* jobName );

  protected:
    Session_stub_clp ();
  private:
    void operator=( const Session_stub_clp & );
};

#endif // MICO_CONF_NO_POA

}
}
}
}


#ifndef MICO_CONF_NO_POA



namespace POA_tecgraf
{
namespace openbus
{
namespace DRMAA
{
namespace v1_7
{

class Session : virtual public PortableServer::StaticImplementation
{
  public:
    virtual ~Session ();
    tecgraf::openbus::DRMAA::v1_7::Session_ptr _this ();
    bool dispatch (CORBA::StaticServerRequest_ptr);
    virtual void invoke (CORBA::StaticServerRequest_ptr);
    virtual CORBA::Boolean _is_a (const char *);
    virtual CORBA::InterfaceDef_ptr _get_interface ();
    virtual CORBA::RepositoryId _primary_interface (const PortableServer::ObjectId &, PortableServer::POA_ptr);

    virtual void * _narrow_helper (const char *);
    static Session * _narrow (PortableServer::Servant);
    virtual CORBA::Object_ptr _make_stub (PortableServer::POA_ptr, CORBA::Object_ptr);

    virtual char* contact() = 0;
    virtual ::tecgraf::openbus::DRMAA::v1_7::Version version() = 0;
    virtual char* drmsInfo() = 0;
    virtual char* drmaaImplementation() = 0;

    virtual void init( const char* contactString ) = 0;
    virtual void exit() = 0;
    virtual ::tecgraf::openbus::DRMAA::v1_7::JobTemplate* createJobTemplate() = 0;
    virtual void deleteJobTemplate( ::tecgraf::openbus::DRMAA::v1_7::JobTemplate* jobTemplate_ ) = 0;
    virtual char* runJob( ::tecgraf::openbus::DRMAA::v1_7::JobTemplate* jobTemplate_ ) = 0;
    virtual ::tecgraf::openbus::DRMAA::v1_7::StringList* runBulkJobs( ::tecgraf::openbus::DRMAA::v1_7::JobTemplate* jobTemplate_, CORBA::Long beginIndex, CORBA::Long endIndex, CORBA::Long step ) = 0;
    virtual void control( const char* jobName, ::tecgraf::openbus::DRMAA::v1_7::JobControlAction operation ) = 0;
    virtual void synchronize( const ::tecgraf::openbus::DRMAA::v1_7::StringList& jobList, CORBA::LongLong timeout, CORBA::Boolean dispose ) = 0;
    virtual ::tecgraf::openbus::DRMAA::v1_7::JobInfo* wait( const char* jobName, CORBA::LongLong timeout ) = 0;
    virtual ::tecgraf::openbus::DRMAA::v1_7::JobState jobStatus( const char* jobName ) = 0;

  protected:
    Session () {};

  private:
    Session (const Session &);
    void operator= (const Session &);
};

}
}
}
}


#endif // MICO_CONF_NO_POA



namespace OBV_tecgraf
{
namespace openbus
{
namespace DRMAA
{
namespace v1_7
{


// OBV class for valuetype JobInfo
class JobInfo : virtual public tecgraf::openbus::DRMAA::v1_7::JobInfo
{
  public:
    JobInfo ();
    JobInfo (const char* _jobId, const ::tecgraf::openbus::DRMAA::v1_7::Dictionary& _resourceUsage, CORBA::Boolean _hasExited, CORBA::Long _exitStatus, CORBA::Boolean _hasSignaled, const char* _terminatingSignal, CORBA::Boolean _hasCoreDump, CORBA::Boolean _wasAborted);
    virtual ~JobInfo();

  public:
    void jobId( char *_p );
    void jobId( const char *_p );
    void jobId( const CORBA::String_var &_p );
    const char *jobId() const;

    void resourceUsage( const ::tecgraf::openbus::DRMAA::v1_7::Dictionary& _p );
    const ::tecgraf::openbus::DRMAA::v1_7::Dictionary& resourceUsage() const;
    ::tecgraf::openbus::DRMAA::v1_7::Dictionary& resourceUsage();

    void hasExited( CORBA::Boolean _p );
    CORBA::Boolean hasExited() const;

    void exitStatus( CORBA::Long _p );
    CORBA::Long exitStatus() const;

    void hasSignaled( CORBA::Boolean _p );
    CORBA::Boolean hasSignaled() const;

    void terminatingSignal( char *_p );
    void terminatingSignal( const char *_p );
    void terminatingSignal( const CORBA::String_var &_p );
    const char *terminatingSignal() const;

    void hasCoreDump( CORBA::Boolean _p );
    CORBA::Boolean hasCoreDump() const;

    void wasAborted( CORBA::Boolean _p );
    CORBA::Boolean wasAborted() const;


  private:
    struct _M {
      CORBA::String_var jobId;
      ::tecgraf::openbus::DRMAA::v1_7::Dictionary resourceUsage;
      CORBA::Boolean hasExited;
      CORBA::Long exitStatus;
      CORBA::Boolean hasSignaled;
      CORBA::String_var terminatingSignal;
      CORBA::Boolean hasCoreDump;
      CORBA::Boolean wasAborted;
    } _m;
};


// OBV class for valuetype JobTemplate
class JobTemplate : virtual public tecgraf::openbus::DRMAA::v1_7::JobTemplate
{
  protected:
    JobTemplate ();
    JobTemplate (const char* _remoteCommand, const ::tecgraf::openbus::DRMAA::v1_7::OrderedStringList& _args, ::tecgraf::openbus::DRMAA::v1_7::JobSubmissionState _jobSubmissionState, const ::tecgraf::openbus::DRMAA::v1_7::Dictionary& _jobEnvironment, const char* _workingDirectory, const char* _jobCategory, const char* _nativeSpecification, const ::tecgraf::openbus::DRMAA::v1_7::StringList& _email, CORBA::Boolean _blockEmail, const char* _jobName, const char* _inputPath, const char* _outputPath, const char* _errorPath, CORBA::Boolean _joinFiles, const ::tecgraf::openbus::DRMAA::v1_7::FileTransferMode& _transferFiles, ::tecgraf::openbus::DRMAA::v1_7::TimeAmount _hardWallClockTimeLimit, ::tecgraf::openbus::DRMAA::v1_7::TimeAmount _softWallClockTimeLimit, ::tecgraf::openbus::DRMAA::v1_7::TimeAmount _hardRunDurationLimit, ::tecgraf::openbus::DRMAA::v1_7::TimeAmount _softRunDurationLimit);
    virtual ~JobTemplate();

  public:
    void remoteCommand( char *_p );
    void remoteCommand( const char *_p );
    void remoteCommand( const CORBA::String_var &_p );
    const char *remoteCommand() const;

    void args( const ::tecgraf::openbus::DRMAA::v1_7::OrderedStringList& _p );
    const ::tecgraf::openbus::DRMAA::v1_7::OrderedStringList& args() const;
    ::tecgraf::openbus::DRMAA::v1_7::OrderedStringList& args();

    void jobSubmissionState( ::tecgraf::openbus::DRMAA::v1_7::JobSubmissionState _p );
    const ::tecgraf::openbus::DRMAA::v1_7::JobSubmissionState& jobSubmissionState() const;
    ::tecgraf::openbus::DRMAA::v1_7::JobSubmissionState& jobSubmissionState();

    void jobEnvironment( const ::tecgraf::openbus::DRMAA::v1_7::Dictionary& _p );
    const ::tecgraf::openbus::DRMAA::v1_7::Dictionary& jobEnvironment() const;
    ::tecgraf::openbus::DRMAA::v1_7::Dictionary& jobEnvironment();

    void workingDirectory( char *_p );
    void workingDirectory( const char *_p );
    void workingDirectory( const CORBA::String_var &_p );
    const char *workingDirectory() const;

    void jobCategory( char *_p );
    void jobCategory( const char *_p );
    void jobCategory( const CORBA::String_var &_p );
    const char *jobCategory() const;

    void nativeSpecification( char *_p );
    void nativeSpecification( const char *_p );
    void nativeSpecification( const CORBA::String_var &_p );
    const char *nativeSpecification() const;

    void email( const ::tecgraf::openbus::DRMAA::v1_7::StringList& _p );
    const ::tecgraf::openbus::DRMAA::v1_7::StringList& email() const;
    ::tecgraf::openbus::DRMAA::v1_7::StringList& email();

    void blockEmail( CORBA::Boolean _p );
    CORBA::Boolean blockEmail() const;

    void jobName( char *_p );
    void jobName( const char *_p );
    void jobName( const CORBA::String_var &_p );
    const char *jobName() const;

    void inputPath( char *_p );
    void inputPath( const char *_p );
    void inputPath( const CORBA::String_var &_p );
    const char *inputPath() const;

    void outputPath( char *_p );
    void outputPath( const char *_p );
    void outputPath( const CORBA::String_var &_p );
    const char *outputPath() const;

    void errorPath( char *_p );
    void errorPath( const char *_p );
    void errorPath( const CORBA::String_var &_p );
    const char *errorPath() const;

    void joinFiles( CORBA::Boolean _p );
    CORBA::Boolean joinFiles() const;

    void transferFiles( const ::tecgraf::openbus::DRMAA::v1_7::FileTransferMode& _p );
    const ::tecgraf::openbus::DRMAA::v1_7::FileTransferMode& transferFiles() const;
    ::tecgraf::openbus::DRMAA::v1_7::FileTransferMode& transferFiles();

    void hardWallClockTimeLimit( ::tecgraf::openbus::DRMAA::v1_7::TimeAmount _p );
    ::tecgraf::openbus::DRMAA::v1_7::TimeAmount hardWallClockTimeLimit() const;

    void softWallClockTimeLimit( ::tecgraf::openbus::DRMAA::v1_7::TimeAmount _p );
    ::tecgraf::openbus::DRMAA::v1_7::TimeAmount softWallClockTimeLimit() const;

    void hardRunDurationLimit( ::tecgraf::openbus::DRMAA::v1_7::TimeAmount _p );
    ::tecgraf::openbus::DRMAA::v1_7::TimeAmount hardRunDurationLimit() const;

    void softRunDurationLimit( ::tecgraf::openbus::DRMAA::v1_7::TimeAmount _p );
    ::tecgraf::openbus::DRMAA::v1_7::TimeAmount softRunDurationLimit() const;


  private:
    struct _M {
      CORBA::String_var remoteCommand;
      ::tecgraf::openbus::DRMAA::v1_7::OrderedStringList args;
      ::tecgraf::openbus::DRMAA::v1_7::JobSubmissionState jobSubmissionState;
      ::tecgraf::openbus::DRMAA::v1_7::Dictionary jobEnvironment;
      CORBA::String_var workingDirectory;
      CORBA::String_var jobCategory;
      CORBA::String_var nativeSpecification;
      ::tecgraf::openbus::DRMAA::v1_7::StringList email;
      CORBA::Boolean blockEmail;
      CORBA::String_var jobName;
      CORBA::String_var inputPath;
      CORBA::String_var outputPath;
      CORBA::String_var errorPath;
      CORBA::Boolean joinFiles;
      ::tecgraf::openbus::DRMAA::v1_7::FileTransferMode transferFiles;
      ::tecgraf::openbus::DRMAA::v1_7::TimeAmount hardWallClockTimeLimit;
      ::tecgraf::openbus::DRMAA::v1_7::TimeAmount softWallClockTimeLimit;
      ::tecgraf::openbus::DRMAA::v1_7::TimeAmount hardRunDurationLimit;
      ::tecgraf::openbus::DRMAA::v1_7::TimeAmount softRunDurationLimit;
    } _m;
};

}
}
}
}


extern CORBA::StaticTypeInfo *_marshaller_tecgraf_openbus_DRMAA_v1_7_JobControlAction;

extern CORBA::StaticTypeInfo *_marshaller_tecgraf_openbus_DRMAA_v1_7_JobState;

extern CORBA::StaticTypeInfo *_marshaller_tecgraf_openbus_DRMAA_v1_7_JobSubmissionState;

extern CORBA::StaticTypeInfo *_marshaller_tecgraf_openbus_DRMAA_v1_7_FileTransferMode;

extern CORBA::StaticTypeInfo *_marshaller_tecgraf_openbus_DRMAA_v1_7_Version;

extern CORBA::StaticTypeInfo *_marshaller_tecgraf_openbus_DRMAA_v1_7_AlreadyActiveSessionException;

extern CORBA::StaticTypeInfo *_marshaller_tecgraf_openbus_DRMAA_v1_7_AuthorizationException;

extern CORBA::StaticTypeInfo *_marshaller_tecgraf_openbus_DRMAA_v1_7_ConflictingAttributeValuesException;

extern CORBA::StaticTypeInfo *_marshaller_tecgraf_openbus_DRMAA_v1_7_DefaultContactStringException;

extern CORBA::StaticTypeInfo *_marshaller_tecgraf_openbus_DRMAA_v1_7_DeniedByDrmException;

extern CORBA::StaticTypeInfo *_marshaller_tecgraf_openbus_DRMAA_v1_7_DrmCommunicationException;

extern CORBA::StaticTypeInfo *_marshaller_tecgraf_openbus_DRMAA_v1_7_DrmsExitException;

extern CORBA::StaticTypeInfo *_marshaller_tecgraf_openbus_DRMAA_v1_7_DrmsInitException;

extern CORBA::StaticTypeInfo *_marshaller_tecgraf_openbus_DRMAA_v1_7_ExitTimeoutException;

extern CORBA::StaticTypeInfo *_marshaller_tecgraf_openbus_DRMAA_v1_7_HoldInconsistentStateException;

extern CORBA::StaticTypeInfo *_marshaller_tecgraf_openbus_DRMAA_v1_7_IllegalStateException;

extern CORBA::StaticTypeInfo *_marshaller_tecgraf_openbus_DRMAA_v1_7_InternalException;

extern CORBA::StaticTypeInfo *_marshaller_tecgraf_openbus_DRMAA_v1_7_InvalidArgumentException;

extern CORBA::StaticTypeInfo *_marshaller_tecgraf_openbus_DRMAA_v1_7_InvalidAttributeFormatException;

extern CORBA::StaticTypeInfo *_marshaller_tecgraf_openbus_DRMAA_v1_7_InvalidAttributeValueException;

extern CORBA::StaticTypeInfo *_marshaller_tecgraf_openbus_DRMAA_v1_7_InvalidContactStringException;

extern CORBA::StaticTypeInfo *_marshaller_tecgraf_openbus_DRMAA_v1_7_InvalidJobException;

extern CORBA::StaticTypeInfo *_marshaller_tecgraf_openbus_DRMAA_v1_7_InvalidJobTemplateException;

extern CORBA::StaticTypeInfo *_marshaller_tecgraf_openbus_DRMAA_v1_7_NoActiveSessionException;

extern CORBA::StaticTypeInfo *_marshaller_tecgraf_openbus_DRMAA_v1_7_NoDefaultContactStringSelectedException;

extern CORBA::StaticTypeInfo *_marshaller_tecgraf_openbus_DRMAA_v1_7_OutOfMemoryException;

extern CORBA::StaticTypeInfo *_marshaller_tecgraf_openbus_DRMAA_v1_7_ReleaseInconsistentStateException;

extern CORBA::StaticTypeInfo *_marshaller_tecgraf_openbus_DRMAA_v1_7_ResumeInconsistentStateException;

extern CORBA::StaticTypeInfo *_marshaller_tecgraf_openbus_DRMAA_v1_7_SuspendInconsistentStateException;

extern CORBA::StaticTypeInfo *_marshaller_tecgraf_openbus_DRMAA_v1_7_TryLaterException;

extern CORBA::StaticTypeInfo *_marshaller_tecgraf_openbus_DRMAA_v1_7_UnsupportedAttributeException;

extern CORBA::StaticTypeInfo *_marshaller_tecgraf_openbus_DRMAA_v1_7_JobInfo;

extern CORBA::StaticTypeInfo *_marshaller_tecgraf_openbus_DRMAA_v1_7_JobTemplate;

extern CORBA::StaticTypeInfo *_marshaller_tecgraf_openbus_DRMAA_v1_7_Session;

extern CORBA::StaticTypeInfo *_marshaller__drmaa__seq__seq_2b_string;

extern CORBA::StaticTypeInfo *_marshaller__drmaa__seq_2b_string;

#endif
