/*
 *  MICO --- an Open Source CORBA implementation
 *  Copyright (c) 1997-2006 by The Mico Team
 *
 *  This file was automatically generated. DO NOT EDIT!
 */

#include <CORBA.h>
#include <mico/throw.h>

#ifndef __OPENDREAMS_H__
#define __OPENDREAMS_H__






namespace tecgraf
{
namespace openbus
{
namespace opendreams
{
namespace v1_7
{

class IOpenDreams;
typedef IOpenDreams *IOpenDreams_ptr;
typedef IOpenDreams_ptr IOpenDreamsRef;
typedef ObjVar< IOpenDreams > IOpenDreams_var;
typedef ObjOut< IOpenDreams > IOpenDreams_out;

}
}
}
}



#include <drmaa.h>



namespace tecgraf
{
namespace openbus
{
namespace opendreams
{
namespace v1_7
{

struct ProjectNotFoundException : public CORBA::UserException {
  #ifdef HAVE_EXPLICIT_STRUCT_OPS
  ProjectNotFoundException();
  ~ProjectNotFoundException();
  ProjectNotFoundException( const ProjectNotFoundException& s );
  ProjectNotFoundException& operator=( const ProjectNotFoundException& s );
  #endif //HAVE_EXPLICIT_STRUCT_OPS

  #ifndef HAVE_EXPLICIT_STRUCT_OPS
  ProjectNotFoundException();
  #endif //HAVE_EXPLICIT_STRUCT_OPS
  ProjectNotFoundException( const char* _m0 );

  #ifdef HAVE_STD_EH
  ProjectNotFoundException *operator->() { return this; }
  ProjectNotFoundException& operator*() { return *this; }
  operator ProjectNotFoundException*() { return this; }
  #endif // HAVE_STD_EH

  void _throwit() const;
  const char *_repoid() const;
  void _encode( CORBA::DataEncoder &en ) const;
  void _encode_any( CORBA::Any &a ) const;
  CORBA::Exception *_clone() const;
  static ProjectNotFoundException *_downcast( CORBA::Exception *ex );
  static const ProjectNotFoundException *_downcast( const CORBA::Exception *ex );
  CORBA::String_var message;
};

#ifdef HAVE_STD_EH
typedef ProjectNotFoundException ProjectNotFoundException_catch;
#else
typedef ExceptVar< ProjectNotFoundException > ProjectNotFoundException_var;
typedef TVarOut< ProjectNotFoundException > ProjectNotFoundException_out;
typedef ProjectNotFoundException_var ProjectNotFoundException_catch;
#endif // HAVE_STD_EH

extern CORBA::TypeCodeConst _tc_ProjectNotFoundException;

class OpenDreamsJobTemplate;
typedef OpenDreamsJobTemplate *OpenDreamsJobTemplate_ptr;
typedef OpenDreamsJobTemplate_ptr OpenDreamsJobTemplateRef;
typedef ValueVar< OpenDreamsJobTemplate > OpenDreamsJobTemplate_var;
typedef ValueOut< OpenDreamsJobTemplate > OpenDreamsJobTemplate_out;


// Common definitions for valuetype OpenDreamsJobTemplate
class OpenDreamsJobTemplate : 
  virtual public ::tecgraf::openbus::DRMAA::v1_7::JobTemplate
{
  public:
    static OpenDreamsJobTemplate* _downcast (CORBA::ValueBase *);
    static OpenDreamsJobTemplate* _downcast (CORBA::AbstractBase *);

  protected:
    virtual void id( CORBA::LongLong _p ) = 0;
    virtual CORBA::LongLong id() const = 0;

  public:
    virtual void jobParameters( const ::tecgraf::openbus::DRMAA::v1_7::Dictionary& _p ) = 0;
    virtual const ::tecgraf::openbus::DRMAA::v1_7::Dictionary& jobParameters() const = 0;
    virtual ::tecgraf::openbus::DRMAA::v1_7::Dictionary& jobParameters() = 0;

    virtual void jobDescription( char *_p ) = 0;
    virtual void jobDescription( const char *_p ) = 0;
    virtual void jobDescription( const CORBA::String_var &_p ) = 0;
    virtual const char *jobDescription() const = 0;

    virtual void jobPriority( CORBA::Short _p ) = 0;
    virtual CORBA::Short jobPriority() const = 0;

    virtual void jobExecutionServer( char *_p ) = 0;
    virtual void jobExecutionServer( const char *_p ) = 0;
    virtual void jobExecutionServer( const CORBA::String_var &_p ) = 0;
    virtual const char *jobExecutionServer() const = 0;


  public:
    CORBA::ValueBase * _copy_value ();
    CORBA::ValueDef_ptr get_value_def ();
    virtual void * _narrow_helper (const char *);
    void _get_marshal_info (std::vector<std::string> &, CORBA::Boolean &);
    void _marshal_members (CORBA::DataEncoder &);
    CORBA::Boolean _demarshal_members (CORBA::DataDecoder &);

  protected:
    OpenDreamsJobTemplate ();
    virtual ~OpenDreamsJobTemplate ();
    void _copy_members (const OpenDreamsJobTemplate&);

  private:
    OpenDreamsJobTemplate (const OpenDreamsJobTemplate &);
    void operator= (const OpenDreamsJobTemplate &);
};

extern CORBA::TypeCodeConst _tc_OpenDreamsJobTemplate;

enum FinalizationType {
  UNDEFINED = 0,
  UNKNOWN,
  KILLED,
  LOST,
  EXIT_CODE_IGNORED,
  EXIT_CODE_SUCCESS,
  EXIT_CODE_ERROR,
  EXIT_CODE_FAILED,
  COMMAND_IDENTIFIER_NOT_FOUND,
  SGA_EXECUTION_ERROR,
  CSFS_SERVICE_UNAVAILABLE,
  FAILED_SETUP_EXECUTION_ENVIRONMENT,
  NO_SGA_AVAILABLE_TO_ROOT_COMMAND,
  SGA_IS_NOT_AVAILABLE,
  PROJECT_NOT_FOUND,
  USER_WITHOUT_PERMISSION_FOR_EXECUTION
};

typedef FinalizationType& FinalizationType_out;

extern CORBA::TypeCodeConst _tc_FinalizationType;

class OpenDreamsJobInfo;
typedef OpenDreamsJobInfo *OpenDreamsJobInfo_ptr;
typedef OpenDreamsJobInfo_ptr OpenDreamsJobInfoRef;
typedef ValueVar< OpenDreamsJobInfo > OpenDreamsJobInfo_var;
typedef ValueOut< OpenDreamsJobInfo > OpenDreamsJobInfo_out;


// Common definitions for valuetype OpenDreamsJobInfo
class OpenDreamsJobInfo : 
  virtual public ::tecgraf::openbus::DRMAA::v1_7::JobInfo
{
  public:
    static OpenDreamsJobInfo* _downcast (CORBA::ValueBase *);
    static OpenDreamsJobInfo* _downcast (CORBA::AbstractBase *);

    virtual void guiltyNodeId( char *_p ) = 0;
    virtual void guiltyNodeId( const char *_p ) = 0;
    virtual void guiltyNodeId( const CORBA::String_var &_p ) = 0;
    virtual const char *guiltyNodeId() const = 0;

    virtual void finalizationType( ::tecgraf::openbus::opendreams::v1_7::FinalizationType _p ) = 0;
    virtual const ::tecgraf::openbus::opendreams::v1_7::FinalizationType& finalizationType() const = 0;
    virtual ::tecgraf::openbus::opendreams::v1_7::FinalizationType& finalizationType() = 0;

    virtual void description( char *_p ) = 0;
    virtual void description( const char *_p ) = 0;
    virtual void description( const CORBA::String_var &_p ) = 0;
    virtual const char *description() const = 0;


  public:
    CORBA::ValueBase * _copy_value ();
    CORBA::ValueDef_ptr get_value_def ();
    virtual void * _narrow_helper (const char *);
    void _get_marshal_info (std::vector<std::string> &, CORBA::Boolean &);
    void _marshal_members (CORBA::DataEncoder &);
    CORBA::Boolean _demarshal_members (CORBA::DataDecoder &);

  protected:
    OpenDreamsJobInfo ();
    virtual ~OpenDreamsJobInfo ();
    void _copy_members (const OpenDreamsJobInfo&);

  private:
    OpenDreamsJobInfo (const OpenDreamsJobInfo &);
    void operator= (const OpenDreamsJobInfo &);
};

extern CORBA::TypeCodeConst _tc_OpenDreamsJobInfo;


/*
 * Base class and common definitions for interface IOpenDreams
 */

class IOpenDreams : 
  virtual public CORBA::Object
{
  public:
    virtual ~IOpenDreams();

    #ifdef HAVE_TYPEDEF_OVERLOAD
    typedef IOpenDreams_ptr _ptr_type;
    typedef IOpenDreams_var _var_type;
    #endif

    static IOpenDreams_ptr _narrow( CORBA::Object_ptr obj );
    static IOpenDreams_ptr _narrow( CORBA::AbstractBase_ptr obj );
    static IOpenDreams_ptr _duplicate( IOpenDreams_ptr _obj )
    {
      CORBA::Object::_duplicate (_obj);
      return _obj;
    }

    static IOpenDreams_ptr _nil()
    {
      return 0;
    }

    virtual void *_narrow_helper( const char *repoid );

    virtual ::tecgraf::openbus::DRMAA::v1_7::Session_ptr getSession( const char* projectId ) = 0;
    virtual ::tecgraf::openbus::DRMAA::v1_7::Session_ptr getSessionByProjUserId( const char* projectId, const char* userId ) = 0;

  protected:
    IOpenDreams() {};
  private:
    IOpenDreams( const IOpenDreams& );
    void operator=( const IOpenDreams& );
};

extern CORBA::TypeCodeConst _tc_IOpenDreams;

// Stub for interface IOpenDreams
class IOpenDreams_stub:
  virtual public IOpenDreams
{
  public:
    virtual ~IOpenDreams_stub();
    ::tecgraf::openbus::DRMAA::v1_7::Session_ptr getSession( const char* projectId );
    ::tecgraf::openbus::DRMAA::v1_7::Session_ptr getSessionByProjUserId( const char* projectId, const char* userId );

  private:
    void operator=( const IOpenDreams_stub& );
};

#ifndef MICO_CONF_NO_POA

class IOpenDreams_stub_clp :
  virtual public IOpenDreams_stub,
  virtual public PortableServer::StubBase
{
  public:
    IOpenDreams_stub_clp (PortableServer::POA_ptr, CORBA::Object_ptr);
    virtual ~IOpenDreams_stub_clp ();
    ::tecgraf::openbus::DRMAA::v1_7::Session_ptr getSession( const char* projectId );
    ::tecgraf::openbus::DRMAA::v1_7::Session_ptr getSessionByProjUserId( const char* projectId, const char* userId );

  protected:
    IOpenDreams_stub_clp ();
  private:
    void operator=( const IOpenDreams_stub_clp & );
};

#endif // MICO_CONF_NO_POA

}
}
}
}


#ifndef MICO_CONF_NO_POA



namespace POA_tecgraf
{
namespace openbus
{
namespace opendreams
{
namespace v1_7
{

class IOpenDreams : virtual public PortableServer::StaticImplementation
{
  public:
    virtual ~IOpenDreams ();
    tecgraf::openbus::opendreams::v1_7::IOpenDreams_ptr _this ();
    bool dispatch (CORBA::StaticServerRequest_ptr);
    virtual void invoke (CORBA::StaticServerRequest_ptr);
    virtual CORBA::Boolean _is_a (const char *);
    virtual CORBA::InterfaceDef_ptr _get_interface ();
    virtual CORBA::RepositoryId _primary_interface (const PortableServer::ObjectId &, PortableServer::POA_ptr);

    virtual void * _narrow_helper (const char *);
    static IOpenDreams * _narrow (PortableServer::Servant);
    virtual CORBA::Object_ptr _make_stub (PortableServer::POA_ptr, CORBA::Object_ptr);

    virtual ::tecgraf::openbus::DRMAA::v1_7::Session_ptr getSession( const char* projectId ) = 0;
    virtual ::tecgraf::openbus::DRMAA::v1_7::Session_ptr getSessionByProjUserId( const char* projectId, const char* userId ) = 0;

  protected:
    IOpenDreams () {};

  private:
    IOpenDreams (const IOpenDreams &);
    void operator= (const IOpenDreams &);
};

}
}
}
}


#endif // MICO_CONF_NO_POA



namespace OBV_tecgraf
{
namespace openbus
{
namespace opendreams
{
namespace v1_7
{


// OBV class for valuetype OpenDreamsJobTemplate
class OpenDreamsJobTemplate :
  virtual public tecgraf::openbus::opendreams::v1_7::OpenDreamsJobTemplate,
  virtual public OBV_tecgraf::openbus::DRMAA::v1_7::JobTemplate
{
  protected:
    OpenDreamsJobTemplate ();
    OpenDreamsJobTemplate (const char* _remoteCommand, const ::tecgraf::openbus::DRMAA::v1_7::OrderedStringList& _args, ::tecgraf::openbus::DRMAA::v1_7::JobSubmissionState _jobSubmissionState, const ::tecgraf::openbus::DRMAA::v1_7::Dictionary& _jobEnvironment, const char* _workingDirectory, const char* _jobCategory, const char* _nativeSpecification, const ::tecgraf::openbus::DRMAA::v1_7::StringList& _email, CORBA::Boolean _blockEmail, const char* _jobName, const char* _inputPath, const char* _outputPath, const char* _errorPath, CORBA::Boolean _joinFiles, const ::tecgraf::openbus::DRMAA::v1_7::FileTransferMode& _transferFiles, ::tecgraf::openbus::DRMAA::v1_7::TimeAmount _hardWallClockTimeLimit, ::tecgraf::openbus::DRMAA::v1_7::TimeAmount _softWallClockTimeLimit, ::tecgraf::openbus::DRMAA::v1_7::TimeAmount _hardRunDurationLimit, ::tecgraf::openbus::DRMAA::v1_7::TimeAmount _softRunDurationLimit, CORBA::LongLong _id, const ::tecgraf::openbus::DRMAA::v1_7::Dictionary& _jobParameters, const char* _jobDescription, CORBA::Short _jobPriority, const char* _jobExecutionServer);
    virtual ~OpenDreamsJobTemplate();

    void id( CORBA::LongLong _p );
    CORBA::LongLong id() const;

  public:
    void jobParameters( const ::tecgraf::openbus::DRMAA::v1_7::Dictionary& _p );
    const ::tecgraf::openbus::DRMAA::v1_7::Dictionary& jobParameters() const;
    ::tecgraf::openbus::DRMAA::v1_7::Dictionary& jobParameters();

    void jobDescription( char *_p );
    void jobDescription( const char *_p );
    void jobDescription( const CORBA::String_var &_p );
    const char *jobDescription() const;

    void jobPriority( CORBA::Short _p );
    CORBA::Short jobPriority() const;

    void jobExecutionServer( char *_p );
    void jobExecutionServer( const char *_p );
    void jobExecutionServer( const CORBA::String_var &_p );
    const char *jobExecutionServer() const;


  private:
    struct _M {
      CORBA::LongLong id;
      ::tecgraf::openbus::DRMAA::v1_7::Dictionary jobParameters;
      CORBA::String_var jobDescription;
      CORBA::Short jobPriority;
      CORBA::String_var jobExecutionServer;
    } _m;
};


// OBV class for valuetype OpenDreamsJobInfo
class OpenDreamsJobInfo :
  virtual public tecgraf::openbus::opendreams::v1_7::OpenDreamsJobInfo,
  virtual public OBV_tecgraf::openbus::DRMAA::v1_7::JobInfo
{
  public:
    OpenDreamsJobInfo ();
    OpenDreamsJobInfo (const char* _jobId, const ::tecgraf::openbus::DRMAA::v1_7::Dictionary& _resourceUsage, CORBA::Boolean _hasExited, CORBA::Long _exitStatus, CORBA::Boolean _hasSignaled, const char* _terminatingSignal, CORBA::Boolean _hasCoreDump, CORBA::Boolean _wasAborted, const char* _guiltyNodeId, ::tecgraf::openbus::opendreams::v1_7::FinalizationType _finalizationType, const char* _description);
    virtual ~OpenDreamsJobInfo();

  public:
    void guiltyNodeId( char *_p );
    void guiltyNodeId( const char *_p );
    void guiltyNodeId( const CORBA::String_var &_p );
    const char *guiltyNodeId() const;

    void finalizationType( ::tecgraf::openbus::opendreams::v1_7::FinalizationType _p );
    const ::tecgraf::openbus::opendreams::v1_7::FinalizationType& finalizationType() const;
    ::tecgraf::openbus::opendreams::v1_7::FinalizationType& finalizationType();

    void description( char *_p );
    void description( const char *_p );
    void description( const CORBA::String_var &_p );
    const char *description() const;


  private:
    struct _M {
      CORBA::String_var guiltyNodeId;
      ::tecgraf::openbus::opendreams::v1_7::FinalizationType finalizationType;
      CORBA::String_var description;
    } _m;
};

}
}
}
}


extern CORBA::StaticTypeInfo *_marshaller_tecgraf_openbus_opendreams_v1_7_ProjectNotFoundException;

extern CORBA::StaticTypeInfo *_marshaller_tecgraf_openbus_opendreams_v1_7_OpenDreamsJobTemplate;

extern CORBA::StaticTypeInfo *_marshaller_tecgraf_openbus_opendreams_v1_7_FinalizationType;

extern CORBA::StaticTypeInfo *_marshaller_tecgraf_openbus_opendreams_v1_7_OpenDreamsJobInfo;

extern CORBA::StaticTypeInfo *_marshaller_tecgraf_openbus_opendreams_v1_7_IOpenDreams;

#endif
