#ifndef TECGRAF_OPENDREAMS_OPENDREAMSJOBTEMPLATEIMPL_H
#define TECGRAF_OPENDREAMS_OPENDREAMSJOBTEMPLATEIMPL_H

#include <stubs/opendreams.h>

namespace tecgraf { namespace openbus { namespace opendreams { namespace v1_7 {

struct OpenDreamsJobTemplateImpl : OBV_tecgraf::openbus::opendreams::v1_7::OpenDreamsJobTemplate
                                 , CORBA::DefaultValueRefCountBase
{
  OpenDreamsJobTemplateImpl() {}
  OpenDreamsJobTemplateImpl (const char* _remoteCommand, const ::tecgraf::openbus::DRMAA::v1_7::OrderedStringList& _args
                             , ::tecgraf::openbus::DRMAA::v1_7::JobSubmissionState _jobSubmissionState
                             , const ::tecgraf::openbus::DRMAA::v1_7::Dictionary& _jobEnvironment
                             , const char* _workingDirectory, const char* _jobCategory, const char* _nativeSpecification
                             , const ::tecgraf::openbus::DRMAA::v1_7::StringList& _email, CORBA::Boolean _blockEmail
                             , const char* _jobName, const char* _inputPath, const char* _outputPath, const char* _errorPath, CORBA::Boolean _joinFiles
                             , const ::tecgraf::openbus::DRMAA::v1_7::FileTransferMode& _transferFiles
                             , ::tecgraf::openbus::DRMAA::v1_7::TimeAmount _hardWallClockTimeLimit
                             , ::tecgraf::openbus::DRMAA::v1_7::TimeAmount _softWallClockTimeLimit
                             , ::tecgraf::openbus::DRMAA::v1_7::TimeAmount _hardRunDurationLimit
                             , ::tecgraf::openbus::DRMAA::v1_7::TimeAmount _softRunDurationLimit
                             , CORBA::LongLong _id, const ::tecgraf::openbus::DRMAA::v1_7::Dictionary& _jobParameters
                             , const char* _jobDescription, CORBA::Short _jobPriority, const char* _jobExecutionServer)
    : OBV_tecgraf::openbus::opendreams::v1_7::OpenDreamsJobTemplate
      (_remoteCommand, _args, _jobSubmissionState, _jobEnvironment, _workingDirectory, _jobCategory
       , _nativeSpecification, _email, _blockEmail, _jobName, _inputPath, _outputPath
       , _errorPath, _joinFiles, _transferFiles, _hardWallClockTimeLimit
       , _softWallClockTimeLimit, _hardRunDurationLimit, _softRunDurationLimit, _id, _jobParameters
       , _jobDescription, _jobPriority, _jobExecutionServer)
  {}

  CORBA::ValueBase* _copy_value()
  {
    return new OpenDreamsJobTemplateImpl
      (remoteCommand(), args(), jobSubmissionState(), jobEnvironment(), workingDirectory(), jobCategory()
       , nativeSpecification(), email(), blockEmail(), jobName(), inputPath(), outputPath(), errorPath()
       , joinFiles(), transferFiles(), hardWallClockTimeLimit(), softWallClockTimeLimit()
       , hardRunDurationLimit(), softRunDurationLimit(), id(), jobParameters()
       , jobDescription(), jobPriority(), jobExecutionServer());
  }

  DRMAA::v1_7::StringList* attributeNames()
  {
    const char* names_array[] =
      { "remote_command", "v_argv", "js_state", "v_env",
        "wd", "working_directory", "job_category", "native_specification",
        "v_email", "block_email", "start_time", "job_name", "input_path",
        "output_path", "error_path", "join_files", "transfer_files",
        "deadline_time", "wct_hlimit", "wct_slimit", "run_duration_hlimit",
        "run_duration_slimit",
        // So para OpenDreams
        "job_parameters", "job_description", "job_priority"
        };
    std::size_t names_array_size = sizeof(names_array)/sizeof(names_array[0]);
    DRMAA::v1_7::StringList_var names = new DRMAA::v1_7::StringList;
    names->length(names_array_size);
    for(std::size_t i = 0; i != names_array_size; ++i)
    {
      names[i] = names_array[i];
    }
    return names;
  }
};

} } } }

#endif
