#ifndef TECGRAF_OPENDREAMS_REGISTERFACTORIES_H
#define TECGRAF_OPENDREAMS_REGISTERFACTORIES_H

#include <CORBA.h>

#include <opendreams/OpenDreamsJobTemplateImpl.h>
#include <opendreams/OpenDreamsJobInfoImpl.h>
#include <opendreams/JobInfoImpl.h>
#include <opendreams/JobTemplateImpl.h>

#include <stubs/opendreams.h>

namespace tecgraf { namespace openbus { namespace opendreams { namespace v1_7 {

namespace factories {

struct OpenDreamsJobTemplateFactory : public CORBA::ValueFactoryBase
{
  CORBA::ValueBase*  create_for_unmarshal()
  {
    return new OpenDreamsJobTemplateImpl;
  }
};

struct OpenDreamsJobInfoFactory : public CORBA::ValueFactoryBase
{
  CORBA::ValueBase*  create_for_unmarshal()
  {
    return new OpenDreamsJobInfoImpl;
  }
};

struct JobTemplateFactory : public CORBA::ValueFactoryBase
{
  CORBA::ValueBase*  create_for_unmarshal()
  {
    return new DRMAA::v1_7::JobTemplateImpl;
  }
};

struct JobInfoFactory : public CORBA::ValueFactoryBase
{
  CORBA::ValueBase*  create_for_unmarshal()
  {
    return new DRMAA::v1_7::JobInfoImpl;
  }
};

}

inline void RegisterFactories(CORBA::ORB_var orb)
{
  CORBA::ValueFactoryBase_var vf = new factories::OpenDreamsJobTemplateFactory;
  orb->register_value_factory( _tc_OpenDreamsJobTemplate->id(), vf.in());
  
  vf = new factories::OpenDreamsJobInfoFactory;
  orb->register_value_factory( _tc_OpenDreamsJobInfo->id(), vf.in());

  vf = new factories::JobTemplateFactory;
  orb->register_value_factory( DRMAA::v1_7::_tc_JobTemplate->id(), vf.in());

  vf = new factories::JobInfoFactory;
  orb->register_value_factory( DRMAA::v1_7::_tc_JobInfo->id(), vf.in());
}

} } } }

#endif
